#每天健康开放平台《基础流程》
###《基础流程》系列文档，阐述了开放平台的基础交互流程，其中包括:
- [AccessToken获取](base_access_token) 介绍accesstoken的获取和使用
- [接口参数签名](base_sign) 介绍了接口参数签名、验证等流程
- [数据加密](base_encrypt) 介绍了开放平台对数据加密、解密的过程

### 开放平台商务对接流程


### 开放平台技术对接流程
#### 一、获取Accessoken
使用appKey和appSecret [获取AccessToken](base_access_token "获取AccessToken")。accessToken是开放平台大部分接口的唯一调用凭据。accesstoken有效期为2小时，需要定时刷新。频率不要太高，获取token接口每日有2000次调用限制。每次调用接口获取新的accesstoken后，旧的accesstoken会立即失效。建议开发者使用唯一的任务定时刷新accessToken, 而不是每次使用之前调用接口获取，以避免不同接口同时更新产生accesstoken覆盖问题，而导致业务接口调用失败。
![](/uploads/201708/attach_14df7ddef569e01f.png)

1.推荐AccessToken有一个统一管控点。以避免发生AccessToken覆盖问题
2.其他业务服务器从AccessToken中控服务器获取当前AccessToken。而不是需要AccessToken的时候就调用接口去获取。
3.获取到accessToken以后，就可以使用accessToekn调用其他业务接口了。基本流程如下示意:

![](/uploads/201708/attach_14df8c4440b6f000.png)
 1. 首先，AccessToken中控服务器定时使用appKey和appSecret  [获取AccessToken](base_access_token "获取AccessToken")。
 2. 当业务中需要使用AccessToken时，从中控服务器取出AccessToken。
 3. 使用accessToken完成业务，如：[查询订单](order_query)。

#### 二、接口数据签名与校验
某些接口除了需要accessToken还需要额外的sign操作。以确保业务数据不被修改，以及重复调用。需要sign的接口会在[接口列表](base_api_and_limit)和详细文档中额外注明。数据sign详细过程请参考[一次性校验码和数据签名](base_sign)。
![](/uploads/201708/attach_14de465d08f0f353.png)

1. 首先调用接口获取一个nonce字符串
2. 然后使用nonce+接口参数内容+signKey进行md5运算，计算出值 sign
3. 将 nonce和sign值作为url参数与接口参数一同提交。

#### 三、数据加密
#####根据开发者不同的安全性要求，开发平台提供了数据加密机制，开启数据加密后，调用开放平台所有接口均会返回加密后的数据。具体请参考[数据加密](base_encrypt)。

#### 四、数据分页
对于一些查询接口，可能返回大量数据。为减少服务器不必要的压力，对于数据查询接口，有统一的分页机制。
需要分页的接口返回的数据都包含以下字段:

```json
{
	"currentPage":1, // 当前数据分页页码
	"hasNextPage":true // boolean 是否还有下一页
}
```
1. 开发者可根据 hasNextPage 字段判断，数据是否结束，如果hasNextPage为false，则表示数据已经结束，不需要再次调用接口。如果为值true则表示还有数据可获取，需要再次调用接口直到hasNextPage为false。
2. 如上所示，hasNextPage为true，表示数据还未取完。这时候，开发者需要再次调用接口，接口其他所有查条件不变, 并且增加一个pageOffset字段，用于表示获取某一页的数据。一般来说 pageOffset为currentPage+1；

```json
{
	"pageOffset":"2", // pageOffset = currentPage + 1
	"otherParams":"" // 原有查询条件不变
}
```
#### 五、下单
体检人注册 -- 选择套餐 -- 获取可用人数 -- 下单