#### accessToken说明
accesstoken 是开放平台大部分接口的调用凭据，是一个长度大约为130左右的字符串。字符串长度可能会改变，如果需要保存，请至少使用大小为255个字符的字段保存。

accesstoken有效期为2小时，需要定时刷新。一般建议半小时刷新一次。每次调用接口获取新的accesstoken后，旧的accesstoken会立即失效。建议开发者使用统一的任务定时刷新，以避免不同接口同时更新产生accesstoken覆盖问题，而导致业务接口调用失败。


#### 接口调用说明
请求协议：HTTPS
请求方式: POST
请求地址: https://m-api.lejian.com/open-api/V2/accesstoken?appKey=appKey

#### 参数说明
|参数|说明|是否必须|示例|
|-----|-----|-----|-----|
|appKey|应用appKey|是|ap862198309748ux7s02nx8soa8x0hui21|

POST内容

|参数|说明|是否必须|示例|
|-----|-----|-----|-----|
|appSecret|应用appSecret|是|f9qb250e888e48aa8de362a7ccbb1670|


请求示例
![](/uploads/201710/attach_14f15dcc04b1cc9d.png)

正常情况下，接口调用成功会返回以下json串

```json
{
	"success":"T",
	"data":{
		"accessToken":"E_Aq6VnUvTAKgZXM7gk8v2U5gbNZILNtKOmmFGCiLHzdr00t7jxtlbYNOKwmKMqUCRLv34AjJyPbgU9SzyONqNGCsWRImGn60YCXjnb8Y0JCPVXgSyFN4tyCot1anS3Zns",
		"expiresIn":"7200000"
	},
	"msg":"success"
}
```

#### 返回值说明
|字段|说明|
|-----|-----|
|accessToken|本次请求获取到的accessToken|
|expiresIn|从现在开始的[expiresIn]毫秒内accessToken有效|


#### 异常情况
常见异常情况如下
```json
{
	"success":"F",
	"errCode":"101100",
	"msg":"Invaild appsecret"
}
```
**请确认使用的appSecret是否正确。包括url参数大小写区分。**