#### 用户注册接口V2
在开放平台注册一个用户，并得到用户在平台的唯一标识符(openId)。

##### 请求URL:
https://m-api.lejian.com/open-api/V2/sso/user/registerExamUser?accessToken=ACCESS_TOKEN&nonce=NONCE&sign=SIGN
##### 请求协议：HTTPS
##### 请求方式：POST
##### 需要签名: 是

##### URL参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|accessToken |是  |string | 当前有效的accessToken|
|nonce |是  |string | 当前有效的nonce |
|sign |是  |string | 数据sign值 |
关于nonce和sign请查看 [数据签名](base_sign)。



##### POST参数示例
```json
{
	"employeeId":"10000001",//必填
	"companyId":4308009,//必填
	"accountType":1,//非必填 1手机号 2账号
	"username":"10000001",//非必填,accountType为1时用户名为手机号
	"password":"123321",//非必填
	"employee":{//非必填
		"employeeId":"10000001",//员工号 和证件号必填一个
		"mobile":"18799999999",
		"name":"姓名",//必填
		"idType":1,//必填 证件号不为空必填
		"idCard":"220102199003077434",//和员工号必填一个
		"married":1,
		"gender":0,//护照必填
		"age":30,//护照必填
		"healthLevel":"保健级别，乐荐提供，请按照员工权益级别做好映射传入",
		"department":"部门",
		"socialSecurity":"社保号", 
		"position":"职级",
		"employeeStatus":"ACTIVE",//非必填 默认在职 员工状态 ACTIVE在职，PENDING_RESIGNATION待离职，RESIGNED已离职 默认
		"leaveDate":"2022-06-23",//离职时间 待离职状态必填
		"equityStartDate":"2025-05-01",//权益开始时间
		"equityEndDate":"2025-06-30"//权益结束时间
	},
	"families":[
		{
            "mobile":"13144566616",
            "name":"配偶家属",
            "idType":1,
            "idCard":"110101200003070551",
            "married":1,
            "gender":0,
            "age":22,
            "relationship":"1"
        },{
            "mobile":"13144566615",
            "name":"父母家属",
            "idType":1,
            "idCard":"110101199003075066",
            "married":1,
            "gender":1,
            "age":20,
            "relationship":"3"
        }
	]
}
```
|参数名|是否必须|类型|说明|
|:----    |-----|:----- |-----   |
|employeeId |是|string | 员工号 |
|accountType |否|int | 1手机号，2账号 ；需要生成登录账号时必填 |
|username |否|string | 用户名，accountType为1时用户名为手机号|
|password |否|string | 密码 |
|companyId|是|int|单位，乐荐提供|
|employee |否|object | 体检人信息 |
|employee.employeeId |否|string | 员工号 (当该字段有值时，个人证件信息可以不填写) 和证件号必填一个|
|employee.mobile |否|string | 用户手机号 |
|employee.name |是|string | 姓名 |
|employee.idType|是|int|证件类型 证件号不为空必填 默认身份证 1:身份证 2：护照 3：军官证 4：港澳身份证 0：其他（当证件类型为1身份证时，性别可以不填写，非身份证是必填） |
|employee.idCard|是|string|用户证件号，和员工号必填一个|
|employee.married|否|int|婚否，0:未婚，1：已婚  注：女性套餐的部分项目只有已婚女性才能做|
|employee.gender|否|int|性别 0：男 1：女 |
|employee.age|否|int|年龄 |
|employee.healthLevel|否|string|保健级别|
|employee.department|否|string|部门|
|employee.socialSecurity |否|string | 社保号 |
|employee.position |否|string | 职级 |
|employee.employeeStatus |否|string | 非必填 默认在职 员工状态 ACTIVE在职，PENDING_RESIGNATION待离职，RESIGNED已离职 默认在职 |
|employee.leaveDate |否|string | 离职时间 待离职状态必填 |
|employee.equityStartDate |否|string | 权益开始时间 |
|employee.equityEndDate |否|string | 权益结束时间 |
|families|否|Array|家属信息列表|
|relationship|否|int|与员工关系，同步家属信息时须同步家属与员工关系： 0 其他 1 配偶 2 子女 3 母亲 4 父亲 5 兄弟姐妹 6 亲戚朋友|
#### 返回示例:

**正确时返回:**

```
{
    "success":"T",
	"data":{
		"openId":"qz2itzakGckPu3KQ0NpbQkwtYOmS"
	},
	"msg":"success"
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----|
|success |string   | T成功，F失败 |
|openId|String|当前注册用户在开放平台的唯一标识符|
|msg|String|描述消息|