#### 用户同步接口V2
通过开放平台同步用户信息，用于系统登录时身份认证。

##### 请求URL:
https://m-api.lejian.com/open-api/V2/sso/user/syncExamUser?accessToken=ACCESS_TOKEN&nonce=NONCE&sign=SIGN
##### 请求协议：HTTPS
##### 请求方式：POST
##### 需要签名: 是

##### URL参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|accessToken |是  |string | 当前有效的accessToken|
|nonce |是  |string | 当前有效的nonce |
|sign |是  |string | 数据sign值 |
关于nonce和sign请查看 [数据签名](base_sign)。



##### POST参数示例
```json
{
	"employeeId":"10000001",//员工号 和证件号必填一个
	"companyId":4308009,//必填
	"mobile":"18799999999",
	"name":"姓名",//必填
	"idType":1,//必填 证件号不为空必填
	"idCard":"220102199003077434",//和员工号必填一个
	"married":1,
	"gender":0,//护照必填
	"age":30,//护照必填
	"healthLevel":"保健级别",//必填
	"department":"部门",
	"socialSecurity":"社保号",
	"position":"职级",
	"employeeStatus":"ACTIVE",//非必填 默认在职 员工状态 ACTIVE在职，PENDING_RESIGNATION待离职，RESIGNED已离职 默认
	"leaveDate":"2022-06-23"//离职时间 待离职状态必填
}
```
|参数名|是否必须|类型|说明|
|:----    |-----|:----- |-----   |
|employeeId |是|string | 员工号 |
|companyId|是|int|单位，乐荐提供|
|mobile |否|string | 用户手机号 |
|name |是|string | 姓名 |
|idType|是|int|证件类型 证件号不为空必填 默认身份证 1:身份证 2：护照 3：军官证 4：港澳身份证（当证件类型为1身份证时，性别可以不填写，非身份证是必填） |
|idCard|是|string|用户证件号，和员工号必填一个|
|married|否|int|婚否，0:未婚，1：已婚  注：女性套餐的部分项目只有已婚女性才能做|
|gender|否|int|性别 0：男 1：女 |
|age|否|int|年龄 |
|healthLevel|否|string|保健级别|
|department|否|string|部门|
|socialSecurity |否|string | 社保号 |
|position |否|string | 职级 |
|employeeStatus |否|string | 非必填 默认在职 员工状态 ACTIVE在职，PENDING_RESIGNATION待离职，RESIGNED已离职 默认在职 |
|leaveDate |否|string | 离职时间 待离职状态必填 |
#### 返回示例:

**正确时返回:**

```
{
    "success":"T",
	"msg":"success"
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----|
|success |string   | T成功，F失败 |
|msg|String|描述消息|