#### 提交预约申请
预约申请包含：门诊预约、专业陪诊预约、手术安排预约、住院安排预约。

##### 请求URL:
https://m-api.lejian.com/open-api/greenChannel/book?accessToken=ACCESS_TOKEN

##### 请求协议：HTTPS
##### 请求方式：POST
##### 需要签名: 否

##### URL参数:
|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|accessToken |是  |string | 当前有效的accessToken |

##### POST参数示例
1.门诊预约
```json
{
	"type":1,
	"city":"浙江省杭州市",
	"hospitalName":"解放军杭州疗养院",
	"payType":"1",
	"visitType":1,
	"hospitalDepartment":"内科",
	"expertName":"王大夫",
	"startDate":"2021-11-16",
	"endDate":"2021-11-18",
	"patientInfo":{
		"userName":"张三",
		"gender":1,
		"married":1,
		"birthDay":"2017-09-04",
		"mobile":"18668182661",
		"idType":"1",
		"idCard":"220102199003077434",
		"medicalInsuranceNo":"220102199003077434",
		"medicalInsuranceMobile":"18668182661"
	}
}
```
2.专业陪诊预约
```json
{
	"type":2,
	"city":"浙江省杭州市",
	"hospitalName":"解放军杭州疗养院",
	"payType":"1",
	"visitType":1,
	"hospitalDepartment":"内科",
	"startDate":"2021-11-16",
	"endDate":"2021-11-18",
	"patientInfo":{
		"userName":"张三",
		"gender":1,
		"married":1,
		"birthDay":"2017-09-04",
		"mobile":"18668182661",
		"idType":"1",
		"idCard":"220102199003077434",
		"medicalInsuranceNo":"220102199003077434",
		"medicalInsuranceMobile":"18668182661"
	}
}
```
3.手术安排预约
```json
{
	"type":3,
	"city":"浙江省杭州市",
	"hospitalName":"解放军杭州疗养院",
	"payType":"1",
	"visitType":1,
	"hospitalDepartment":"内科",
	"expertName":"王大夫",
	"operationType":1,
	"outpatientType":1,
	"wardType":1,
	"startDate":"2021-11-16",
	"endDate":"2021-11-18",
	"patientInfo":{
		"userName":"张三",
		"gender":1,
		"married":1,
		"birthDay":"2017-09-04",
		"mobile":"18668182661",
		"idType":"1",
		"idCard":"220102199003077434",
		"medicalInsuranceNo":"220102199003077434",
		"medicalInsuranceMobile":"18668182661"
	}
}
```
4.住院安排预约
```json
{
	"type":4,
	"city":"浙江省杭州市",
	"hospitalName":"解放军杭州疗养院",
	"payType":"1",
	"visitType":1,
	"hospitalDepartment":"内科",
	"expertName":"王大夫",
	"wardNotice":true,
	"startDate":"2021-11-16",
	"endDate":"2021-11-18",
	"patientInfo":{
		"userName":"张三",
		"gender":1,
		"married":1,
		"birthDay":"2017-09-04",
		"mobile":"18668182661",
		"idType":"1",
		"idCard":"220102199003077434",
		"medicalInsuranceNo":"220102199003077434",
		"medicalInsuranceMobile":"18668182661"
	}
}
```

|参数名|是否必须|类型|说明|
| ------------ | ------------ | ------------ | ------------ |
| type  | 是  | int  | 预约类型  |
| city  | 是  |string|城市，精确到市级单位|
|hospitalId|是|string| 医院名称  |
|payType| 是  | int  | 费用类型，1：医保、2：自费  |
|visitType| 是| int  | 初/复诊，1：初诊、2：复诊  |
|hospitalDepartment|是|string|科室   |
|expertName|是|string|专家姓名   |
|operationType|否|int|手术类型，1：住院手术、2：门诊手术   |
|outpatientType|否|int|门诊类型，1：普通门诊、2：特需门诊、3：国际医疗  |
|wardType| 否 | int |病房类型，1：普通、2：特需、3：国际部   |
|wardNotice|否|boolean| 是否开具住院通知单，true：开具、false：未开具  |
|startDate |是|string | 最早日期  |
|endDate   |是|string | 最晚日期  |
|patientInfo|是|PatientInfo|就诊人信息|

PatientInfo属性：

|参数名|是否必须|类型|说明|
| ------------ | ------------ | ------------ | ------------ |
|userName|是|string| 姓名 |
|gender  |是| int  | 性别，0：男、1：女 |
|married |是| int  | 婚否，0:未婚、1：已婚 |
|birthDay|是|string| 出生日期 |
|mobile  |是|string| 手机号   |
|idType  |是| int  | 证件类型，1：身份证|
|idCard  |是|string| 证件号 |
|medicalInsuranceNo|否|string|医保卡号，使用医保时必须传|
|medicalInsuranceMobile|否|string|医保卡绑定手机号|
type含义：

| 属性值  | 含义  |
| ------------ | ------------ |
| 1  | 门诊预约|
| 2  | 专业陪诊预约  |
| 3  | 手术安排预约  |
| 4  | 住院安排预约  |

#### 返回示例:

**正确时返回:**

```
 {
	"success":"T",
	"data":{
    		"orderNum":"20170822194904339001236"
	},
    "msg":"success"
}
```
#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----|
|orderNum|String|预约单号|

```
 {
	"success":"F",
	"errCode":"201006",
    "msg":"order fail"
}
```