#### 查询预约申请状态
使用预约单号查询申请单状态

##### 请求URL:
https://m-api.lejian.com/open-api/greenChannel/queryOrderByOrderNums?accessToken=ACCESS_TOKEN

##### 请求协议：HTTPS
##### 请求方式：POST
##### 需要签名: 否

##### URL参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|accessToken |是  |string | 当前有效的accessToken |


##### POST参数示例:

```json
{
	"orderNums":
		[
			"201200000000000",
			"201200000000001",
			"201200000000002"
		]
}
```
|参数名|是否必须|类型|说明|
|:---- |-----|:----- |-----|
|orderNums |是|array | 需要查询的订单号，最大不能超过10个 |

##### 返回示例:

```json
{
	"success":"T",
	"data":{
		"orders":
		[
			{
				"orderNum":"201200000000000",
				"status":2,
				"type":1,
				"city":"浙江省杭州市",
				"hospitalName":"解放军杭州疗养院",
				"payType":1,
    			"visitType":1,
				"hospitalDepartment":"内科",
    			"expertName":"王大夫",
				"operationType":1,
				"outpatientType":1,
				"wardType":1,
				"createTime":"2017-06-02 06:27:19",
				"patientInfo":{
					"userName":"张三",
					"gender":1,
					"mobile":"18668182661",
					"idCard":"220102199003077434"
				}
			}
		]
}
```
|参数名|是否必须|类型|说明|
|:---- |-----|:----- |-----|
|orderNum|是|string | 订单号 |
|status  |是|int |订单状态|
| type  | 是  | int  | 预约类型  |
| city  | 是  |string|城市，精确到市级单位|
|hospitalId|是|string| 医院名称  |
|payType| 是  | int  | 费用类型，1：医保、2：自费  |
|visitType| 是| int  | 初/复诊，1：初诊、2：复诊  |
|hospitalDepartment|是|string|科室   |
|expertName|是|string|专家姓名   |
|operationType|否|int|手术类型，1：住院手术、2：门诊手术   |
|outpatientType|否|int|门诊类型，1：普通门诊、2：特需门诊、3：国际医疗  |
|wardType| 否 | int |病房类型，1：普通、2：特需、3：国际部   |
|createTime |是|string | 下单日期  |
|patientInfo|是|PatientInfo|就诊人信息|

PatientInfo属性：

|参数名|是否必须|类型|说明|
| ------------ | ------------ | ------------ | ------------ |
|userName|是|string| 姓名 |
|gender  |是| int  | 性别，0：男、1：女 |
|mobile  |是|string| 手机号   |
|idCard  |是|string| 证件号 |

**status对照表**

|状态|说明|
|:----|:----|
| 1  | 待受理  |
| 2  | 协调中  |
| 3  | 待就诊  |
| 4  | 已完结  |
| 5  | 取消中  |
| 6  | 已取消  |