### 获取作答问卷的用户记录列表
https://api.mytijian.com/open-api/V2/ws/survey/listAccountSurveyRecord?accessToken=ACCESS_TOKEN
**请求协议：HTTPS
请求方式：POST
需要签名: 否
URL参数:**

|参数名|是否必须|类型|说明|
| ------------ | ------------ | ------------ | ------------ |
|accessToken |是  |string | 当前有效的accessToken |


##### POST参数示例
```
{
  "name": "胡文刚",
  "idCard": "330726198510163913",
  "mobile": "13588152017",
  "startTime": "2022-04-24",
  "endTime": "2022-04-24",
  "currentPage": 1,
  "pageSize": 10
}
```

##### 请求参数说明：
|参数名|是否必须|类型|说明|
|:----    |-----|:----- |-----   |
|name| 否 |string |评估人名称|
|idCard| 否 |string |评估人身份证|
|mobile| 否 |string |评估人手机号|
|startTime| 是 |string |开始时间 格式yyyy-MM-dd|
|endTime| 否 |string |结束时间 格式yyyy-MM-dd|
|currentPage| 是 |int |当前页|
|pageSize| 是 |int |每页显示的条数|

** 正确返回示例:**
```java
{
    "data":{
        "records":[
            {
                "accountSurveyId":6372186,
                "surveyId":10,
                "gender":0,
                "accountSurveyLink":"https://crm.mytijian.com/public/questionnaire.html?accountSurveyEncryptId=SuBRfpjxH1J4W1L3gE3reg%3D%3D",
                "printStatus":0,
                "idCard":"330726198510163913",
                "mobile":"13588152017",
                "name":"胡文刚",
                "marriageStatus":1,
                "updateTime":1650606078000,
                "title":"健康自诊评估",
                "age":36
            }
        ],
        "page":{
            "offset":0,
            "pageSize":10,
            "rowCount":1,
            "currentPage":1,
            "countMethod":"Count"
        }
    },
    "msg":"success",
    "success":"T"
}
```
##### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----|
|success |String   | T成功，F失败 |
|msg|String|描述消息|
|errCode |String   | 错误码，只有失败的时候才有 |
|data|PageView|分页查询对象|

#####PageView对象说明
|参数名|是否必须|类型|说明|
|:-----  |:-----|-----|
|page|是|Page|分页参数对象|
|records|是|List< AccountSurveyRecordDTO >|用户答题记录集合|

#####page对象说明
|参数名|是否必须|类型|说明|
|:-----  |:-----|-----|
|offset|是|int|偏移量|
|pageSize|是|int|每页显示的条数|
|currentPage|是|int|当前页码|
|rowCount|是|int|总条数|
|countMethod|是|string|计数方法|

#####AccountSurveyRecordDTO 对象说明
|参数名|是否必须|类型|说明|
|:-----  |:-----|-----|
|accountSurveyId| int | 用户答题记录ID | |
| surveyId | int | 问卷id |  |
| gender | int | 评估人的性别 ：0 男，1 女 |  |
| accountSurveyLink | String | 答题详情链接 |  |
| printStatus | int | 打印状态（0：未打印，1：已打印） |  |
| idCard | String | 评估人身份证号 |  |
| mobile | String | 评估人手机号 |  |
| name | String | 评估人名称 |  |
| marriageStatus | int | 评估人的婚姻状态： 0 未婚  ,1 已婚 |  |
| updateTime | int | 答题时间 |  |
| title | String | 标题 |  |
| age | int | 年龄 |  |