#### 支付流水号查询简单说明：

开放平台提供了根据支付流水号查询订单支付信息的接口。

##### 请求地址:
生产环境
https://spi.mytijian.com/adapters/molian/queryOrderBySn
测试环境：
http://spi.mytijian.cn/adapters/molian/queryOrderBySn
##### 请求协议：HTTPS
##### 请求方式：POST
##### 需要签名：否
##### URL参数:


##### POST参数示例
```json
{
	"outTradeNo":"210427043645411701877159498829",
}
```
|参数名|是否必须|类型|说明|
|:----    |-----|:----- |-----   |
|outTradeNo |是|string | 交易流水号 |

*一个订单可能会有多个交易流水号，但一个交易流水号只会对应一个订单*


##### 返回示例:

```json
{
    "success":"T",
    "data":{
        "outTradeNo":"210427043645411701877159498829",
        "orderNum":"20210427163644498000701",
        "payAmount":1800,
		"patientId":"2014112633",
		"registerid":"2021041331260003",
        "order":{
            "mealName":"套餐名称",
            "orderNum":"20170602182719769255420",
            "orderStatus":"finish",
            "exportStatus":0,
            "hospitalName":"体检中心名称",
            "hospitalId":"1",
            "createTime":"2017-06-02 06:27:19",
            "examDate":"2017-06-20 12:00:00",
            "orderPrice":2000,
           "useInfo": {
                   "gender": 0,
                   "idCard": "110101********3976",
                   "mobile": "199****7777",
                   "name": "张*"
                }
        }
    },
    "msg":"success"
}
```

#### 返回参数说明:
*通俗易懂的参数不再说明*

|字段|类型|说明|
|:----    |-----|:----- |-----   |
|outTradeNo |string | 交易流水号 |
|orderNum |string | 订单号 |
|payAmount |integer | 支付金额（分）当前交易支付的金额，可能会小于订单金额 |
|patientId |string | 病人id，挂号接口返回 |
|registerid |string | his登记id，挂号流水号 |
|order|JSONObject|订单|
|useInfo.gender|integer| 用户性别|
|useInfo.idCard|String|用户身份证号（已脱敏）|
|useInfo.mobile|String|用户手机号（已脱敏）|
|useInfo.name|String|用户姓名（已脱敏）|


#### 备注:

- 更多返回错误代码请看[接口返回码说明](base_error_codes)