#### 证件号批量查询订单
每次查询最多返回50条数据。开发者可根据返回数据中的hasNextPage字段判断是否有下一页数据。根据currentPage(当前页码)，并使用pageOffset参数(currentPage+1)指定数据页码。
##### 请求地址: https://m-api.lejian.com/open-api/V2/order/queryOrderByIdCard?accessToken=ACCESS_TOKEN
##### 请求协议：HTTPS
##### 请求方式：POST
##### 需要签名：否
##### URL参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|accessToken |是  |string | 当前有效的accessToken |


##### POST参数示例
```json
{
	"idCard":"11112521212",
	"pageOffset": 1
}
```
|参数名|是否必须|类型|说明|
|:---- |-----|:----- |-----|
|idCard |是|String | 用户证件号 |
|pageOffset |否|integer | 页码，第几页，默认为1 |

##### 返回示例:

```json
{
	"success":"T",
	"data":{
		"currentPage":1,
		"hasNextPage":false,
		"orders":
		[
			{
				"mealName":"套餐名称",
				"orderNum":"20170602182719769255420",
				"status":2,
				"exportStatus":0,
				"hospitalName":"体检中心名称",
				"hospitalId":"1",
				"createTime":"2017-06-02 06:27:19",
				"examDate":"2017-06-20 12:00:00",
				"orderPrice":2000,
				"beginPeriod":"12:00",
				"endPeriod":"14:00",
				"items":
					[
						{
							"name":"内科检查1",
							"price":1000
						},
						{
							"name":"耳鼻喉科",
							"price":1000
						}
					],
				"useInfo": {
				   "gender": 0,
				   "idCard": "110101********3976",
				   "mobile": "199****7777",
				   "name": "张*"
				}
			}
		]
	},
	"msg":"success"
	
}
```

#### 返回参数说明:
*通俗易懂的参数不再说明*

|字段|类型|说明|
|:----    |-----|:----- |-----   |
|currentPage |integer | 当前页码 |
|hasNextPage |boolean | 本次查询是否还有下一页数据 |
|orders |Array | 订单列表 |
|items|JSONObject|订单单项|
|exportStatus|integer|订单导出状态（0：未导出 1：已导出）|
|beginPeriod|string| 开始时段|
|endPeriod|string|结束时段|
|status|int|订单状态，民营机构可能会存在中间态，如撤销中，对接[消息推送](openapi-message)会获取终态|
|refundAmount|integer|订单退款金额（当订单状态为examined时，会返回）|
|useInfo.gender|integer| 用户性别|
|useInfo.idCard|String|用户身份证号（已脱敏）|
|useInfo.mobile|String|用户手机号（已脱敏）|
|useInfo.name|String|用户姓名（已脱敏）|

##### 注意：订单导出状态指的是该订单信息是否进入到体检中心系统，如果为已导出（错误码：201017），说明该订单已经进入体检中心系统，接口不能进行改期和撤销操作，如果确实需要进行以上操作，请人工联系每天健康客服


**status对照表[状态流转](open_order)**

|状态|说明|
|:----|:----|
| 0  | 待支付  |
| 2  | 已预约  |
| 20  | **预约失败**  |
| 21  | **预约中**  |
| 3  | 体检完成  |
| 41  | **改期中**  |
| 5  | 已撤销  |
| 51  |**撤销中**  |
| 6  | 删除  |
| 8  | 关闭  |
*
**注意：黑体加粗状态只会出现在爱康、美年、瑞慈、慈铭民营医院***
#### 备注:

- 更多返回错误代码请看[接口返回码说明](base_error_codes)