#### 订单改期（约）接口
使用开放平台进行单个下单操作。
需要校验下单用户的姓名，手机号，身份证号，如果不是最新，则需要[更新用户信息](user_info_update)。

##### 请求URL:
https://m-api.lejian.com/open-api/V2/order/changeExamDate?accessToken=ACCESS_TOKEN&nonce=NONCE&sign=SIGN
##### 请求协议：HTTPS
##### 请求方式：POST
##### 需要签名: 是

##### URL参数:
|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|accessToken |是  |string | 当前有效的accessToken |
|nonce |是  |string | 当前有效的nonce |
|sign |是  |string | 数据sign值 |
关于nonce和sign请查看 [数据签名](base_sign)。

##### POST参数示例
```json
{
    "newExamDate":"2017-09-18",
    "examTimeIntervalId":1020,
    "orderNum":"20170822194904339001236"
}
```
|参数名|是否必须|类型|说明|
|:----    |-----|:----- |-----   |
|newExamDate| 是|string|体检日期（格式：yyyy-mm-dd）|
|examTimeIntervalId|否|int|体检时段，参考[套餐可约时间查询](res_time)|
|orderNum|是|string|订单号|

#### 返回示例:
**正确时返回:**
```
{
    "success":"T",
	"data":{
		"result":true,
		"status":41
	},
	"msg":"success"
}
```
#### 返回参数说明:
|参数名|类型|说明|
|:-----  |:-----|-----|
|success |String   | T成功，F失败 |
|errCode |String   | 错误码，只有失败的时候才有 |
|msg|String|描述消息|
|data|String|数据|
|data.status|int|订单状态，民营机构可能会存在中间态，如改期中，对接[消息推送](openapi-message)会获取终态|

**status对照表[状态流转](open_order)**

|状态|说明|
|:----|:----|
| 0  | 待支付  |
| 2  | 已预约  |
| 20  | **预约失败**  |
| 21  | **预约中**  |
| 3  | 体检完成  |
| 41  | **改期（约）中**  |
| 5  | 已撤销  |
| 51  |**撤销中**  |
| 6  | 删除  |
| 8  | 关闭  |
*
**注意：黑体加粗状态只会出现在爱康、美年、瑞慈、慈铭民营医院***

#### 备注:
- 更多返回错误代码请看首页的[接口返回码说明](base_error_codes)