#### 订单撤单接口
使用开发平台进行撤单操作

##### 请求URL:
https://m-api.lejian.com/open-api/V2/order/revokeOrder?accessToken=ACCESS_TOKEN&nonce=NONCE&sign=SIGN
##### 请求协议：HTTPS
##### 请求方式：POST
##### 需要签名: 是

##### URL参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|accessToken |是  |string | 当前有效的accessToken |
|nonce |是  |string | 当前有效的nonce |
|sign |是  |string | 数据sign值 |
关于nonce和sign请查看 [数据签名](base_sign)。

**status对照表[状态流转](open_order)**

|状态|说明|
|:----|:----|
| 0  | 待支付  |
| 2  | 已预约  |
| 20  | **预约失败**  |
| 21  | **预约中**  |
| 3  | 体检完成  |
| 41  | **改期中**  |
| 5  | 已撤销  |
| 51  |**撤销中**  |
| 6  | 删除  |
| 8  | 关闭  |
*
**注意：黑体加粗状态只会出现在爱康、美年、瑞慈、慈铭民营医院***
##### POST参数示例
```json
{
	"orderNum":"20170822194904339001236"
}
```
|参数名|是否必须|类型|说明|
|:----    |-----|:----- |-----   |
|orderNum|是|string|订单号|


#### 返回示例:

**正确时返回:**

```
{
    "success":"T",
	"data":{
		"result":true,
		"status":51
	},
	"msg":"success"
}
```
**错误时返回示例:**

```
//撤单失败，系统异常
{
    "success":"F",
	"errCode":"201015",
	"msg":"Order revoke fail,internal error" 
}

//撤单失败，订单不存在
{
    "success":"F",
	"errCode":"201016",
	"msg":"ORDER_REVOKE_NON_EXISTS" 
}

//撤单失败，订单已经进入医院系统，无法撤销，需要联系客服
{
    "success":"F",
	"errCode":"201017",
	"msg":"Order can't revoke" 
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----|
|success |String   | T成功，F失败 |
|errCode |String   | 错误码，只有失败的时候才有 |
|msg|String|描述消息|
|status|int|订单状态，民营机构可能会存在中间态，如撤销中，对接[消息推送](openapi-message)会获取终态|
#### 备注:

- 更多返回错误代码请看首页的[接口返回码说明](base_error_codes)