### 用户登陆
####使用openId登录到mytijian网站
在开放平台完成注册后，即可通过sso接口登录mytijian网站。
登录过程如下

1. 调用注册接口，获取openId
2. 使用openId获取一个用户的一次性登陆码
3. 使用一次性登陆码重定向到指定页面

时序图
![](http://doc.mytijian.cn/uploads/202110/openapi/attach_16b1d7a457a6d6a8.png)

#### 涉及到以下两个接口:
##### 第一步、获取用户一次性登陆码
##### 请求URL: https://m-api.lejian.com/open-api/V2/loginAuthCode?accessToken=ACCESS_TOKEN
##### 请求协议：HTTPS
##### 请求方式：POST
##### 需要签名：否
##### URL参数:

| 参数  | 是否必须  | 说明  |
| :---- | :------ | ----- |
|accessToken | 是  | 当前可用的accessToken  |

##### POST参数示例
```json
{
	"openId":"qz2itzakGckPu3KQ0NpbQkwtYOmS"
}
```
| 参数名  | 是否必须  | 类型  | 说明 |
| :----- | :-------- | :---- | :---|
| openId  | 是  | string  | 用户openId|

##### 返回示例:
```
{
	"success":"T",
	"data":{
		"result":"lBq_ySTbIwVmpH79xioIzvVUFlhoOjaN"
	},
	"msg":"success"
}
```

##### 返回参数说明:
| 参数名  | 类型  | 说明  |
| :----- | :-----| :---- |
| result | string|本次调用接口生成的一次性登陆码 |

#### 第二步、使用一次性登陆码重定向到mytijian登录页 （H5）
##### 接口地址: https://m-api.lejian.com/open-api/sso/dispatcher?loginToken=LOGIN_TOKEN&redirectUrl=REDIRECT_URL
##### 请求方式: 重定向
##### 需要签名：否

| 参数名  | 是否必须  | 说明  |
| :---------- | :--- | :------------ |
| loginToken  | 是   | 上一个接口获取到的loginToken  |
| redirectUrl | 否   | 可指定跳转到某个业务  |

##### 常用redirectUrl地址说明:

| 业务  | 地址  | 说明  |
| :-----| :------------ | :------------ |
| 首页  | /welcome  |   |
| 报告列表  |/myreport  | 该地址需要用户认证，请跳转体检报告详情  |
| 订单列表  |/orderlist |   |
| 体检套餐  |/meal?hospitalId=ID| 如何[获取hospitalId](res_hospital)?  |
| 体检报告详情 |/report?orderNum=ID1&hospitalId=ID2&mobileValid=false&homeUrl=url |orderNum：订单号，hospitalId：乐荐体检中心id，homeUrl：报告页面返回首页跳转地址  | |
|小程序页面|/miniapp|打开跳转小程序页面||

##### REDIRECT_URL需要进行encode编码后传输

#### 第二步、小程序免登录
##### 接口地址: https://m-api.lejian.com/open-api/sso/miniapp?loginToken=LOGIN_TOKEN
##### 请求方式: GET
##### 需要签名：否

| 参数名  | 是否必须  | 说明  |
| :---------- | :--- | :------------ |
| loginToken  | 是   |  获取到的loginToken （获取用户一次性登陆码接口返回的） |
##### 返回示例:
```
{
    "success": "T",
    "errCode": null,
    "msg": "success",
    "data": {
        "path": "pages/index/index?userToken=7c03710a04bf4df8888a2e99b3c39bb8&submitToken=19dbcc27-473b-4a7a-9158-0e8d6106d53f_1684313681505&site=qatest",
        "appId": "wx508ee121a3163f4d"
    }
}
```
##### 返回参数说明:
| 参数名  | 类型  | 说明  |
| :----- | :-----| :---- |
| data | object| 跳转小程序配置 （第三方前端用于跳转小程序的参数 ）|