#### 用户注册接口V2
在开放平台注册一个用户，并得到用户在平台的唯一标识符(openId)。

##### 请求URL:
https://m-api.lejian.com/open-api/V2/sso/user/registerUser?accessToken=ACCESS_TOKEN&nonce=NONCE&sign=SIGN
##### 请求协议：HTTPS
##### 请求方式：POST
##### 需要签名: 是

##### URL参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|accessToken |是  |string | 当前有效的accessToken |
|nonce |是  |string | 当前有效的nonce |
|sign |是  |string | 数据sign值 |
关于nonce和sign请查看 [数据签名](base_sign)。



##### POST参数示例
```json
{
    "mobile":"手机号",
    "username":"姓名",
    "idcard":"身份证号",
    "married":1,
    "nationality":"1",
	"password":"mytijian1592"
	"system":3
}
```
|参数名|是否必须|类型|说明|
|:----    |-----|:----- |-----   |
|mobile |是|string | 用户手机号 |
|username |否|string | 姓名 |
|idcard |否|string | 身份证号 |
|married |否|int | 婚姻状况：0 未婚,1 已婚|
|nationality |否|string | 民族(编码请见附件) |
|thirdId |否|string | 三方账户标识|
|password|否|string|客户经理密码|
|system|否|3|业务系统类型：3（crm系统）|


`姓名和证件号需同时传参数，二者必需同时有或者同时没有，如果仅传其中一个时，不做校验和存储；`

#### 返回示例:

**正确时返回:**

```
{
    "success":"T",
	"data":{
		"openId":"qz2itzakGckPu3KQ0NpbQkwtYOmS"
	},
	"msg":"success"
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----|
|success |string   | T成功，F失败 |
|openId|String|当前注册用户在开放平台的唯一标识符|
|msg|String|描述消息|