#### 发卡
用户在三方平台下单后，通知开放平台发卡
##### 请求url
https://m-api.lejian.com/open-api/V2/sendCard?accessToken=ACCESS_TOKEN&nonce=NONCE&sign=SIGN
##### 请求协议：HTTPS
##### 请求方式：POST
##### 需要签名: 是

##### URL参数:
|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|accessToken |是  |string | 当前有效的accessToken |
|nonce |是  |string | 当前有效的nonce |
|sign |是  |string | 数据sign值 |
关于nonce和sign请查看 [数据签名](base_sign)。
##### POST参数示例
```json
{"quantity":1,"mobile":"15676539876","outerId":"1287d","skuId":"1505"}
```
|参数名|是否必须|类型|说明|
|:----    |-----|:----- |-----   |
|mobile| 是|string|购买人的手机号|
|quantity|是|int|购买数量|
|outerId|是|string|三方平台订单号|
|skuId|是|string|平台提供的skuId|

##### 正常返回示例:
```
{
    "data":{
        "cards":[
            {
                "cardNum":"20210603105823824000205"
            }
        ],
        "outerId":"1287d"
    },
    "msg":"success",
    "success":"T"
}
```

|参数名|类型|说明|
|:-----  |:-----|-----|
|outerId|String|三方平台订单号（值是请求参数中的outerId对应的值）|
|cards|JSONObject |卡信息|

##### 异常返回示例
```
{
    "success":"F",
    "errCode":"206009",
    "msg":"操作失败:{0}"  //0为具体异常信息
}
```


#### 撤销
根据三方提供的`outerId`撤销对应的卡。

eg:
`outerId` 对应 三张卡，卡A，kB，KC。
倘若一张都没有使用，撤销成功后，卡A，kB，KC都会变成已撤销。

倘若有一张或多张已使用，不允许撤销。

##### 请求url
https://m-api.lejian.com/open-api/V2/revokeCard?accessToken=ACCESS_TOKEN&nonce=NONCE&sign=SIGN
##### 请求协议：HTTPS
##### 请求方式：POST
##### 需要签名: 是

##### URL参数:
|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|accessToken |是  |string | 当前有效的accessToken |
|nonce |是  |string | 当前有效的nonce |
|sign |是  |string | 数据sign值 |
关于nonce和sign请查看 [数据签名](base_sign)。
##### POST参数示例
```json
{"outerId":"1287d"}
```
|参数名|是否必须|类型|说明|
|:----    |-----|:----- |-----   |
|outerId| 是|string|三方平台订单号|


##### 正常返回示例

```
{"data":{"result":true},"msg":"success","success":"T"}
```

##### 异常返回示例
```
{
    "success":"F",
    "errCode":"206010",
    "msg":"操作失败:{0}"  //0为具体异常信息
}
```