#### 建渠道下体检单位合同创建
使用开放平台进行渠道下的体检单位合同创建操作。

##### 请求URL:
https://m-api.lejian.com/open-api/V2/contract/create?accessToken=ACCESS_TOKEN
##### 请求协议：HTTPS
##### 请求方式：POST
##### 需要签名: 是

##### URL参数:
|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|accessToken |是  |string | 当前有效的accessToken |


##### POST参数示例
```json
{
    "companyId":582825,
	"contractName":"合同2020",
	"effectiveTime":"2020-12-01",
	"endTime":"2021-11-30",
	"url":"https://xxx.net/xxx-202101.pdf"
}
```
|参数名|是否必须|类型|说明|
|:----    |-----|:----- |-----   |
|companyId| 是|int|体检单位ID|
|contractName| 是|string|合同名称|
|effectiveTime| 是|string|合同生效时间（格式：yyyy-mm-dd）|
|endTime| 是|string|合同截止时间（格式：yyyy-mm-dd）|
|url| 否|string|合同附件地址|


#### 返回示例:
**正确时返回:**
```
{
    "success":"T",
	"data":{
		"result":true,
		"contractId":2321
	},
	"msg":"success"
}
```
#### 返回参数说明:
|参数名|类型|说明|
|:-----  |:-----|-----|
|success |String   | T成功，F失败 |
|errCode |String   | 错误码，只有失败的时候才有 |
|msg|String|描述消息|
|data|String|数据|
|contractId|int|合同ID|



#### 备注:
- 更多返回错误代码请看首页的[接口返回码说明](base_error_codes)