#### 合同管理套餐接口

##### 合同管理套餐接口

通过渠道下单位合同查询合同管理套餐。

##### 请求URL:
[https://m-api.lejian.com/open-api/V2/contract/get?accesstoken=ACCESS_TOKEN](https://api.mytijian.com/open-api/V2/contract/get?accesstoken=ACCESS_TOKEN)

##### 请求协议：HTTPS

##### 请求方式：POST

##### 需要签名：否

##### URL参数：
| 参数名 | 是否必须 | 类型 | 说明 |
|:----    |:---|:----- |-----   |
|accessToken |是  |string | 当前有效的accessToken |

##### POST参数示例

```json
{
    "contractId":582825
}
```

| 参数名 | 是否必须 | 类型 | 说明 |
|:----    |:---|:----- |-----   |
| contractId | 是 |int | 生成的合同ID |


#### 返回示例:

**正确时返回:**

```json
{
	"success":"T",
	"data":{
		"meals":[
		{
			"hospitalId":999,
			"mealId":1766,
			"gender":"2",
			"name":"基础套餐",
			"price":0,
			"type":"3",
			"marriageId":"0",
			"description":"",
			"tags":[
				"糖尿病",
          		"三高",
          		"贵宾服务"],
			"examItems":
			[
				{
					"description":"通过医师对人体视、触、叩、听等物理方法检查，了解心脏、肺部、肝脾、腹部、神经反射等是否正常。可筛查诊断：先天性心脏病、肺气肿、肺炎、肝硬化、肝炎、胆囊炎、脾肿大、肾炎等疾病。",
					"detail":"通过医师对人体视、触、叩、听等物理方法检查，了解心脏、肺部、肝脾、腹部、神经反射等是否正常。可筛查诊断：先天性心脏病、肺气肿、肺炎、肝硬化、肝炎、胆囊炎、脾肿大、肾炎等疾病。",
					"fitPeople":"",
					"id":1346,
					"itemType":"体检中心项目",
					"name":"内科检查1",
					"price":0,
					"unfitPeople":"无"
				},
				{
					"description":"一般生化项目",
				 	"detail":"",
				 	"fitPeople":"",
					"id":4930,
					"itemType":"体检中心项目",
					"name":"公务员录职生化",
					"price":0,
					"unfitPeople":"无"
				}
			]
		}]
	},
	"msg":"success"
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----|
|meals |Array[]|套餐列表, 列表内每一个元素都是一个套餐|
|hospitalId|integer|套餐所属体检中心编号|
|mealId|integer|套餐编号|
|gender|String|套餐性别编码(0男 1女 2通用)|
|marriageId|integer|套餐婚否信息（0：通用 1：已婚（有性经历））|
|name|String|套餐名称|
|price|String|套餐价格,价格参考[开发必读](summary)第一节《基础词汇定义》|
|type|String|套餐类型编码(1:单位套餐，2：收藏套餐，3：通用套餐/官方套餐 4:基础推荐套餐，5：平台套餐)|
|description|String|套餐描述|
|tags|Array[]|套餐标签 如："糖尿病", "三高", "贵宾服务"|
|examItems|Array[]|套餐单项列表, 列表内为套餐中的每一个单项。部分字段名与套餐字段名称重复，使用"item."作为前缀区分|
|item.description|String|单项描述|
|item.id|integer|单项编号|
|item.name|String|单项名称|
|item.price|Integer|单项价格（单项价格之和不一定等于套餐价格）|
|detail|String|单项详情|
|fitPeople|String|项目适宜人群|
|unfitPeople|String|项目不适宜人群|
|itemType|String|项目类型|

##### 备注:
更多返回错误代码请看首页的[接口返回码说明](../../summary/base_error_codes.md)