#### 订单号查询报告详情接口


##### 请求URL:
https://m-api.lejian.com/open-api/V2/examreport/listExamReportByIdCard?accessToken=ACCESS_TOKEN&nonce=NONCE&sign=SIGN
##### 请求协议：HTTPS
##### 请求方式：POST
##### 需要签名: 是

##### URL参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|accessToken |是  |string | 当前有效的accessToken |
|nonce |是  |string | 当前有效的nonce |
|sign |是  |string | 数据sign值 |
关于nonce和sign请查看 [数据签名](base_sign)。

*
**注意：黑体加粗状态只会出现在爱康、美年、瑞慈、慈铭民营医院***
##### POST参数示例
```json
{
	"idCard":"eVQPdsWZclZezd7LNEB1p2HdKX3rJLLVxF7ceyiMDMw="
}
```
|参数名|是否必须|类型|说明|
|:----    |-----|:----- |-----   |
|idCard|是|string|证件号|



#### 返回示例:

**正确时返回:**

```
{
    "data": {
        "examReports": [
            {
                "doctor": "郭海燕  ",
                "reportDate": "2021-11-30",
                "accountName": "刘慧奇",
                "advice": "1.高尿酸血症 : (1)低嘌呤饮食，少吃动物内脏(肝、肾、骨髓)及沙丁鱼、蟹、虾、菠菜、大肠、香肠等，低脂饮食；\n(2)偏碱性饮食，多进食蔬菜、海带等；忌酸性食物；\n(3)不喝酒，多饮水，保持每天尿量在2公升以上；\n(4)若出现关节酸痛，内科治疗。\n(5)定期复查。\n2.轻度脂肪肝 : 低脂饮食；多运动；定期复查肝功、血脂及B超。\n3.血常规 : 白细胞计数(WBC)偏高  中性粒细胞绝对值(NEUT#)偏高  单核细胞绝对值(MONO#)偏高  淋巴细胞比值(LYM%)偏低 : (1)待排除感染性疾病,血液科进一步诊治;\n(2)定期复查.\n4.齿右下第一磨牙深龋 : 请咨询口腔科。\n5.尿常规 : 蛋白质(Pro)+-   : 建议复查，结合临床诊治。",
                "examineDate": "2021-11-30",
                "orderNum": "",
                "detail": "1. 肾功 : 尿酸(UA)偏高\n2. B超 : 轻度脂肪肝\n3. 口腔科 : 齿右下第一磨牙深龋\n4. 血常规 : 白细胞计数(WBC)偏高  中性粒细胞绝对值(NEUT#)偏高  单核细胞绝对值(MONO#)偏高  淋巴细胞比值(LYM%)偏低\n5. 尿常规 : 蛋白质(Pro)+-  ",
                "hospitalName": "QA测试医院"
            }
        ]
    },
    "msg": "success",
    "success": "T"
}
```


#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----|
|success |String   | T成功，F失败 |
|errCode |String   | 错误码，只有失败的时候才有 |
|msg|String|描述消息|
#### 备注:

- 更多返回错误代码请看首页的[接口返回码说明](base_error_codes)