##### 请求地址: https://m-api.lejian.com/open-api/examreport/listExamReportByOrderNums?accessToken=ACCESS_TOKEN
##### 请求协议：HTTPS
##### 请求方式：POST
##### 需要签名：否
##### URL参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|accessToken |是  |string | 当前有效的accessToken |


##### POST参数示例
```json
{
	"orderNums":
		[
			"201200000000000",
			"201200000000001",
			"201200000000002"
		]
}
```
|参数名|是否必须|类型|说明|
|:---- |-----|:----- |-----|
|orderNums |是|array | 需要查询的订单号，最大不能超过20个 |

##### 返回示例:
```
{
    "examReports": [
        {
            "accountName": "刘傲霜",
            "advice": "【宫颈中度糜烂】\n成熟期女性的宫颈管内柱状上皮在雌激素刺激下过度增生而外延到宫颈管外,形成绒毛状或颗粒状粗糙面,称为宫颈柱状上皮外翻或移位,这是正常的生理现象,不应认为是糜烂而过度治疗。但在有明显炎症样改变、分泌物增多或血管增生、触之易出血等症状时应及时到妇科进一步检诊,作液基细胞薄层细胞学检查（TCT)、人乳头瘤病毒（HPV）。",
            "detail": "1、内科检查：既往史：无\n2、外科检查：既往史：无\n3、妇科检查：阴道：白带多，白色宫颈：中糜 触血\n4、病理科：液基细胞病理检查与诊断（TCT）：(宫颈)未见上皮内病变或恶性细胞(NILM)。\n5、其它：13C呼气试验：阳性   5.9    4 \n6、检验结果：白带清洁度：Ⅲ 度 .  I度-II度 PH值：4.1  .  3.8-4.5红细胞：阴性 /HP .  阴性过氧化氢检测：阳性(+) μmol/L *  阴性白细胞酯酶：阳性(+)  *  阴性球蛋白：35.2 g/L ↑  20.0-35.0白球比：1.2  ↓  1.5-2.5纤维连接蛋白：569 mg/L ↑  250-400尿酸：364 μmol/L ↑  89-357钠：136.7 mmol/L ↓  137.0-147.0\n7、放射结果：胸部正侧位：胸部正侧位未见明显异常X线表现。\n8、B超结果：肝胆脾胰双肾B超：肝胆脾胰双肾未见明显异常甲状腺B超：甲状腺未见明显异常经阴道妇科B超：子宫卵巢未见明显异常乳腺B超：双侧乳腺增生双侧颈动脉B超：颈动脉未见明显异常",
            "doctor": "张曼",
            "examReportDepartments": [
                {
                   
       
                    "examReportItems": "[{\"details\":[{\"explain\":\"\",\"id\":1415771403,\"indexItemId\":\"000036\",\"insertTime\":1664243378000,\"isDeleted\":0,\"name\":\"心电图\",\"prompt\":\"\",\"referenceRange\":\"-\",\"reportDepartmentId\":1193916281,\"reportId\":55556257,\"reportItemId\":1247124687,\"result\":\"正常范围心电图\",\"sortField\":\"0018121412\",\"type\":0,\"unit\":\"\",\"updateTime\":1664243378000}],\"doctor\":\"郑萍萍\",\"examItemType\":0,\"hisItemId\":\"000007\",\"id\":1247124687,\"insertTime\":1664243378000,\"isDeleted\":0,\"reportDepartmentId\":1193916281,\"reportId\":55556257,\"sortField\":\"00007|00000000000000\",\"summary\":\"\",\"title\":\"常规心电图(撩衣袖裤脚)\",\"updateTime\":1664243378000}]",
                    "name": "心电图室",
                    "result": "未见明显异常"
                }
            ],
            "examineDate": "2022-09-27",
            "hospitalName": "QA测试医院",
            "orderNum": "20220922174645189624309",
            "reportDate": "2022-09-27"
        }
    ]
}
```

|参数名|类型|说明|
|:----    |:----- |-----   |
|accountName |string|用户姓名|
|advice |string|异常建议文本形式|
|doctor |string|总检医生|
|detail |string|总检报告文本形式|
|examReportDepartments |array|体检项目和科室详情|
|examineDate |string|体检日期|
|hospitalName |string|医院名称 |
|orderNum |string|订单号|
|reportDate |string|报告日期|


examReportDepartments

|参数名|类型|说明|
|:----    |:----- |-----   |
|examReportItems |array|体检大项详情|
|name |string|科室名称|
|result |string|医院检查科室结论|

examReportItems

|参数名|类型|说明|
|:----    |:----- |-----   |
|details|arraystring|体检小项详情 |
|doctor|string|检查医生|
|title|string|大项名称|
|summary|string|大项小结|

details 

|参数名|类型|说明|
|:----    |:----- |-----   |
|name|string|体检小项名称 |
|explain|string|现象描述|
|result|string|现象描述|
|reference_range|string|参考值|
|unit|string|单位|
|prompt|string|提示|