#### 服务地址校验
校验地址是否在服务范围

##### 请求URL: 
https://m-api.lejian.com/open-api/V2/goldnurse/apiCheckAddress?accessToken=ACCESS_TOKEN

##### 请求协议：HTTPS
##### 请求方式：POST
##### 需要签名: 否

##### URL参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|accessToken |是  |string | 当前有效的accessToken |


##### POST参数示例
地址信息



|参数名|是否必须|类型|说明|
|:----    |-----|:----- |-----   |
|cityCode|是|Integer|城市code；以市编码为准：如，410900； 特殊处理 北京市110000；重庆市500000；天津市120000；上海市310000|
|province|是|String|城市名称-省|
|city|是|String|城市名称-市|
|area|是|String|城市名称-区县|
|address|是|String|详细地址|
**注：
1、citycode市编码：410900；特殊情况：北京市、上海、重庆、天津直接传省级编码，如110000；
2、province-city-area：北京市-北京市-东城区；湖北省-仙桃市-仙桃市；
 **
 
POST参数示例
```json
{
	"cityCode": "110000",
	"province": "北京市",
	"city": "北京市",
	"area": "北京市",
	"address": "北京市朝阳区光华路甲8号",
	"channelId": "3487a0cf01c94cbf9c5dbf73010eecf7"
}
```

#### 返回示例:

**正确时返回:**

```json
{
    "success":"T",
    "data":{
		"code": 1,
        "msg": "当前地址在服务范围内，您可以使用当前地址预约上门服务",
        "lon": "116.456434",
        "lat": "39.911176"
    },
    "msg":"success"
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----|
|success |string   | T成功，F失败 |
|code|String|地址验证返回编码 1：成功，0：失败|
|lon|String|经度（高德地图）|
|lat|String|纬度（高德地图）|
|msg|String|描述消息|