### 功能描述
第三方应用提供金牌护士服务订单状态接收接口，开放平台实时推送该应用所属订单状态变更信息

推送内容

```json
{
    "serverNo": "ZHDJ202208181602312809",
    "schedule": 1,
    "status": 1
}
```

#schedule状态码

| 字段            | 类型    |
| --------------- | ------- |
| 0        | 创建服务预约记录  |
| 1        | 预约审核  |
| 2         | 订单取消  |
| 4        | 订单派单 |
| 5        | 订单重新派单 |
| 6        | 订单护士出门 |
| 7        | 订单开始服务 |
| 8        | 订单结束服务 |
| 9        | 采血业务-送样同步 |
| 10       | 采血业务-更新送样同步 |

# 创建服务预约记录

| 字段            | 类型    | 中文含义                   | 备注                     |
| --------------- | ------- | -------------------------- | ------------------------ |
| serverNo        | String  | 预约编号                   |                          |
| schedule        | Integer | 流转状态 0已创建服务预约记录         | 对于指定流转状态的固定值 |


# 预约审核

| 字段            | 类型    | 中文含义                   | 备注                     |
| --------------- | ------- | -------------------------- | ------------------------ |
| serverNo        | String  | 预约编号                   |                          |
| schedule        | Integer | 流转状态 1预约审核         | 对于指定流转状态的固定值 |
| status          | Integer | 0：未通过审核，1：通过审核 2：未审核客户主动取消|                          |
| reason          | String  | 原因                       | 未通过时必填             |



# 订单取消

| 字段            | 类型       | 中文含义           | 备注                     |
| --------------- | ---------- | ------------------ | ------------------------ |
| serverNo        | String     | 预约编号           |                          |
| orderNo         | String     | 订单编号           |                          |
| schedule        | Integer    | 流转状态 2订单取消 | 对于指定流转状态的固定值 |
| orderSchedule        | Integer | 订单进度  | -1:平台待审核,1:待接单,2:已接单,3:执行中,4:待评价,5:已完成,6:已取消 |
| refundAmount    | BigDecimal | 退款金额           |                          |
| reason          | String     | 原因               |                          |


# 订单派单

| 字段            | 类型    | 中文含义            | 备注                     |
| --------------- | ------- | ------------------- | ------------------------ |
| serverNo        | String  | 预约编号            |                          |
| orderNo         | String  | 订单编号            |                          |
| schedule        | Integer | 流转状态 4 订单派单 | 对于指定流转状态的固定值 |
| orderSchedule        | Integer | 订单进度  | -1:平台待审核,1:待接单,2:已接单,3:执行中,4:待评价,5:已完成,6:已取消 |
| nurseName       | String  | 接单护士姓名        |                          |
| nursePhone      | String  | 接单护士手机号      |                          |
| serviceAddress  | String  | 服务地址      |                          |
| serveTime       | String  | 服务时间      |                          ||



# 订单重新派单(改派)

| 字段            | 类型    | 中文含义                | 备注                     |
| --------------- | ------- | ----------------------- | ------------------------ |
| serverNo        | String  | 预约编号                |                          |
| orderNo         | String  | 订单编号                |                          |
| schedule        | Integer | 流转状态 5 订单重新派单 | 对于指定流转状态的固定值 |
| orderSchedule        | Integer | 订单进度  | -1:平台待审核,1:待接单,2:已接单,3:执行中,4:待评价,5:已完成,6:已取消 |
| nurseName       | String  | 接单护士姓名            |                          |
| nursePhone      | String  | 接单护士手机号          |                          |
| serviceAddress  | String  | 服务地址      |                          |
| serveTime       | String  | 服务时间      |                          ||


# 订单护士出门

| 字段            | 类型    | 中文含义                | 备注                     |
| --------------- | ------- | ----------------------- | ------------------------ |
| serverNo        | String  | 预约编号                |                          |
| orderNo         | String  | 订单编号                |                          |
| schedule        | Integer | 流转状态 6 订单护士出门 | 对于指定流转状态的固定值 |
| orderSchedule        | Integer | 订单进度  | -1:平台待审核,1:待接单,2:已接单,3:执行中,4:待评价,5:已完成,6:已取消 |



# 订单开始服务

| 字段            | 类型    | 中文含义                | 备注                     |
| --------------- | ------- | ----------------------- | ------------------------ |
| serverNo        | String  | 预约编号                |                          |
| orderNo         | String  | 订单编号                |                          |
| schedule        | Integer | 流转状态 7 订单开始服务 | 对于指定流转状态的固定值 |
| orderSchedule        | Integer | 订单进度  | -1:平台待审核,1:待接单,2:已接单,3:执行中,4:待评价,5:已完成,6:已取消 |
| startServiceTime        | String | 开始服务时间 | yyyy-MM-dd HH:mm:ss |


# 订单结束服务

| 字段            | 类型    | 中文含义                | 备注                     |
| --------------- | ------- | ----------------------- | ------------------------ |
| serverNo        | String  | 预约编号                |                          |
| orderNo         | String  | 订单编号                |                          |
| schedule        | Integer | 流转状态 8 订单结束服务 | 对于指定流转状态的固定值 |
| orderSchedule        | Integer | 订单进度  | -1:平台待审核,1:待接单,2:已接单,3:执行中,4:待评价,5:已完成,6:已取消 |
| endServiceTime        | String | 结束服务时间 | yyyy-MM-dd HH:mm:ss |

# 采血业务-送样同步

| 字段         | 类型    | 中文含义      | 备注   |
| :------------- | :----- | :-------------- | :---------- |
| serverNo                                      | String  | 预约编号                     |     |
| schedule                                      | Integer | 流转状态 9 采血业务-送样同步 | 对于指定流转状态的固定值 |
| orderNo                                       | String  | 订单编号                     |      |
| orderSchedule        | Integer | 订单进度  | -1:平台待审核,1:待接单,2:已接单,3:执行中,4:待评价,5:已完成,6:已取消 |
| sampleInfo                                    | Object  | 采血业务-样品信息            |     |
| sampleInfo.consumablesList                    | List    | 耗材信息                     |  |
| sampleInfo.consumablesList.consumablesNo      | String  | 耗材编号                     |        |
| sampleInfo.consumablesList.consumablesName    | String  | 耗材名称                     |      |
| sampleInfo.consumablesList.consumablesBarCode | String  | 耗材条码                     |        |
| logisticsInfo                                 | Object  | 物流信息                     |     |
| logisticsInfo.logisticsList                   | List    | 物流信息集合                 |       |
| logisticsInfo.logisticsList.name              | String  | 快递名称                     |      |
| logisticsInfo.logisticsList.orderNo           | String  | 快递单号                     |    |
| logisticsInfo.logisticsList.orders            | List    | 快递单集合                   |     |
| logisticsInfo.logisticsList.orders.url        | String  | 快递单图片地址               |  |

## 示例参数

```json
{
	"serverNo": "ZHDJ202208250944940701",
	"orderNo": "JP2022082483028",
	"schedule": 9,
	"sampleInfo": {
		"consumablesList": [{
			"consumablesNo": "KH145",
			"consumablesName": "5ml分离胶管（黄头）",
			"consumablesBarCode": "0644503658-01"
		}, {
			"consumablesNo": "KH146",
			"consumablesName": "5ml分离胶管（红头）",
			"consumablesBarCode": "0644503659-01"
		}],
		"consumablesBarCodeList": [{
			"url": "https://img.com/image1.png"
		}, {
			"url": "https://img.com/image2.png"
		}]
	},
	"logisticsInfo": {
		"logisticsList": [{
			"name": "京东快递",
			"orderNo": "JD1234567890",
			"orders": [{
				"url": "https://img.com/image1.png"
			}, {
				"url": "https://img.com/image2.png"
			}]
		}]
	}
}
```



# 采血业务-更新送样同步

| 字段                                          | 类型    | 中文含义                          | 备注                     |
| --------------------------------------------- | ------- | --------------------------------- | ------------------------ |
| serverNo                                      | String  | 预约编号                          | 
| schedule                                      | Integer | 流转状态 10 采血业务-更新送样同步 | 对于指定流转状态的固定值 |
| orderNo                                       | String  | 订单编号                          |                          |
| orderSchedule        | Integer | 订单进度  | -1:平台待审核,1:待接单,2:已接单,3:执行中,4:待评价,5:已完成,6:已取消 |
| sampleInfo                                    | Object  | 采血业务-样品信息                 |                          |
| sampleInfo.consumablesList                    | List    | 耗材信息                          |                          |
| sampleInfo.consumablesList.consumablesNo      | String  | 耗材编号                          |                          |
| sampleInfo.consumablesList.consumablesName    | String  | 耗材名称                          |                          |
| sampleInfo.consumablesList.consumablesBarCode | String  | 耗材条码                          |                          |
| sampleInfo.consumablesBarCodeList             | List    | 耗材条码图集合                    |                          |
| sampleInfo.consumablesBarCodeList.url         | String  | 耗材条码图                        |                          |
| logisticsInfo                                 | Object  | 物流信息                          |                          |
| logisticsInfo.logisticsList                   | List    | 物流信息集合                      |                          |
| logisticsInfo.logisticsList.name              | String  | 快递名称                          |                          |
| logisticsInfo.logisticsList.orderNo           | String  | 快递单号                          |                          |
| logisticsInfo.logisticsList.orders            | List    | 快递单集合                        |                          |
| logisticsInfo.logisticsList.orders.url        | String  | 快递单图片地址                    |                          |
||||||