#### 服务预约
服务预约接口

##### 请求URL: 
https://m-api.lejian.com/open-api/V2/goldnurse/serverOrder?accessToken=ACCESS_TOKEN

##### 请求协议：HTTPS
##### 请求方式：POST
##### 需要签名: 是

##### URL参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|accessToken |是  |string | 当前有效的accessToken |
|nonce |是  |string | 当前有效的nonce |
|sign |是  |string | 数据sign值 |


##### POST参数示例
金牌护士服务预约

| 参数名   | 是否必须 | 类型   | 说明                      |
| :------- | :-------- | :----- | :-------------- |
| productNo                          | 是       | String | 产品编号(测试:ZHB2021110309340455生产:找业务人员提供)                         |
| channelOrderId                     | 是       | String | 渠道方唯一订单编号                    |
| serveTime                          | 是       | String | 服务时间 (yyyy-MM-dd HH:mm)	          |
| province                           | 是       | String | 城市名称-省               |
| city                               | 是       | String | 城市名称-市    |
| area                               | 是       | String | 城市名称-区县    |
| address                            | 是       | String | 详细地址      |
| lon                                | 是       | String | 详细地址经度（高德地图必传）  |
| lat                                | 是       | String | 详细地址纬度（高德地图必传）  |
| serverInfo                         | 是       | Object | 患者信息对象               |
| collectType | 否 | Integer | 采血业务-送样类型（1：护士送样 2：物流收样3：其它送样） |
| serverInfo.patientName             | 是       | String | 患者姓名        |
| serverInfo.cardType                | 是       | Integer | 客户证件类型(1:身份证；2:护照；3养老助残卡；4；残疾证 5.其他6:香港特别行政区护照/身份证明; 7:澳门特别行政区护照/身份证明; 8.台湾居民来往大陆通行证 9.港澳台居民居住证 10.外国人永久居留身份证)
    |
| serverInfo.cardNo                  | 是       | String | 证件号         |
| serverInfo.phone                   | 是       | String | 患者手机号   |
| serverInfo.relation                   | 否       | String | 关系：1:本人、2:父母、3:配偶、4:子女、5:朋友、6:其它   |
| serverInfo.birthday                   | 否       | String | 生日 yyyy-MM-dd   |
| serverInfo.serviceName             | 是       | String | 预约服务（多个服务通过“,”分割；英文逗号） |
| serverInfo.proveUrls               | 否       | String | 就医证明（根据实际业务提供，证明链接；多个文件通过“,”分割；英文逗号） |
| serverInfo.stuffUrls               | 否       | String | 耗材证明（根据实际业务提供，证明链接；多个文件通过“,”分割；英文逗号） |
| sampleInfo                    | 否       | Object | 采血业务-送样信息 相对于collectType必传|
| sampleInfo.projectName | 否       | String | 检测项目 |
| sampleInfo.receivingPointName | 否       | String | 收样点名称(collectType=1 护士送样必填) |
| sampleInfo.receivingPointPhone | 否       | String | 收样点电话(collectType=1 护士送样必填) |
| sampleInfo.receivingPointAddress | 否       | String | 收样点地址(collectType=1 护士送样必填) |
| sampleInfo.receivingPointBusinessTime | 否       | String | 收样点营业时间(collectType=1 护士送样必填) |
| sampleInfo.describe | 否       | String | 注意事项 |
| sampleInfo.logisticsInfo       | 否       | Object   | 物流信息 (collectType=2,3 物流送样和其它送样必填) |
| sampleInfo.logisticsInfo.phone       | 否       | Object   | 物流区域负责电话(collectType=2,3 物流送样和其它送样必填) |
| sampleInfo.consumableList       | 否       | List   | 耗材信息 (collectType!=null 采血业务必填) |
| sampleInfo.consumableList.color | 否      | String | 耗材颜色|
| sampleInfo.consumableList.name | 否    | String | 耗材名称|
| sampleInfo.consumableList.numbering | 否       | String | 耗材编号|
| sampleInfo.consumableList.barcode | 否       | String | 条形码|
| sampleInfo.consumableList.num | 否       | Integer | 耗材数量（份）   |
| sampleInfo.consumableList.unit | 否      | String | 耗材单位       |
| sampleInfo.consumableList.volume | 否      | String | 单个耗材容积     |
| remark | 否       | String | 备注       |
POST参数示例
```json
{
	"address": "三里屯太古里",
	"area": "朝阳区",
	"channelOrderId": "220406134635892",
	"city": "北京市",
	"collectType": 3,
	"productNo": "ZHB2021110309340455",
	"province": "北京市",
	"serveTime": "2022-08-21 09:06",
	"serverInfo": {
		"cardNo": "110104199411110114",
		"cardType": 1,
		"relation": 1,
		"birthday": "1986-11-21",
		"patientName": "测试患者",
		"phone": "121****1234",
		"serviceName": "婴儿护理1,婴儿护理2"
	},
	"sampleInfo": {
		"receivingPointName": "广州金域生物岛采样点",
		"receivingPointPhone": "400-120-120",
		"receivingPointAddress": "广东省广州市海珠区螺旋三路10号（直线距离：10.56km）",
		"receivingPointBusinessTime": "周一到周日（10：00-14：00） 4月1日起暂停服务",
		"project": "【金域】有赞-广州团体核酸（护士）-广州银行",
		"describe": "核酸标本，采样点代码：44007890-002|002",
		"consumableList": [
			{
				"color": "金黄色",
				"name": "鼻咽/口咽拭子",
				"numbering": "KH136",
				"barcode": "KG12345678-03",
				"num": 1,
				"unit": "ml",
				"volume":1
			}
		],
		"logisticsInfo": {
			"phone": "121****1234"
		}
	},
	"remark": "备注信息"
}
```

#### 返回示例:

**正确时返回:**

```json
{
    "success":"T",
    "data":{
		"serverNo": "ZHDJ202208181602312809"
    },
    "msg":"success"
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----|
|success |string   | T成功，F失败 |
|serverNo|String|预约编号|
|msg|String|描述消息|