#### 服务查询：

开放平台提供了金牌护士根据下单服务单号查询的接口。

##### 请求地址: https://m-api.lejian.com/open-api/V2/goldnurse/serverQuery?accessToken=ACCESS_TOKEN
##### 请求协议：HTTPS
##### 请求方式：POST
##### 需要签名：否
##### URL参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|accessToken |是  |string | 当前有效的accessToken |


##### POST参数示例
```json
{
	"serverNo":"20170602182719769255420"
}
```
|参数名|是否必须|类型|说明|
|:----    |-----|:----- |-----   |
|serverNo|是|string|服务预约单号|


##### 返回示例:

```json
{
    "success":"T",
    "data":{
        "serverId":"3563457345734",
        "serverNo":"20170602182719769255420",
        "channelOrderId":"5423632",
        "serviceName":"婴儿护理1,婴儿护理2",
        "appointmentTime":"2023-09-10 09:27:19",
        "serverAddress":"广东省,广州市,海珠区,螺旋三路10号",
        "createTime":"2023-08-30 09:27:19",
        "patientName":"客户姓名",
        "patientPhone":"13100000006",
        "patientCardType":1,
        "patientCardNo":"110104199411110114",
        "openId":"open123456",
        "guestSignUrl":"https://static.goldnurse.com:443/images/userSign/JP20231024165756dec74c1315ed48e38a062a7b27cec8d4.png?AccessKeyId=EHVB949CZNFDKWPVZD7T&Expires=1698397220&Signature=o%2BQWhwTLSTJz6g%2FHOF%2FuN2EQ1Nc%3D",
        "nurseSignUrl":"https://static.goldnurse.com:443/images/userSign/JP2023102416575479daf5257c6148c48093927c492467be.png?AccessKeyId=EHVB949CZNFDKWPVZD7T&Expires=1698397220&Signature=vC3iDsymn5pT30hWPtlm2YCmwcA%3D"
    },
    "msg":"success"
}
```

#### 返回参数说明:
*通俗易懂的参数不再说明*

|字段|类型|说明|
|:----    |-----|:----- |-----   |
|serverId|string|预约ID|
|serverNo|string|预约编号|
|channelOrderId|string|渠道方唯一订单编号|
|nurseId|string|护士ID|
|serviceName|string|预约服务|
|appointmentTime|string|预约时间|
|serverAddress|string|服务地址|
|createTime|string|下单时间|
|patientName|string|客户姓名|
|patientPhone|string|客户联系电话|
|patientCardType|integer|客户证件类型(1:身份证；2:护照；3养老助残卡；4；残疾证 5.其他6:香港特别行政区护照/身份证明; 7:澳门特别行政区护照/身份证明; 8.台湾居民来往大陆通行证 9.港澳台居民居住证 10.外国人永久居留身份证)|
|patientCardNo|string|客户证件号|
|guestSignUrl|string|患者签字链接|
|nurseSignUrl|string|护士签字链接|
|openId|string|用户唯一凭证|

#### 备注:

- 更多返回错误代码请看[接口返回码说明](base_error_codes)