#### 服务查询：

开放平台提供了金牌护士根据下单服务单号查询的接口。

##### 请求地址: https://m-api.lejian.com/open-api/V2/lvtong/serverQuery?accessToken=ACCESS_TOKEN
##### 请求协议：HTTPS
##### 请求方式：POST
##### 需要签名：否
##### URL参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|accessToken |是  |string | 当前有效的accessToken |


##### POST参数示例
```json
{
	"orderNo":"JYLJ172582917912666666"
}
```
|参数名|是否必须|类型|说明|
|:----    |-----|:----- |-----   |
|orderNo|是|string|订单编号|


##### 返回示例:

```json
{
    "success":"T",
    "data":{
        "orderNo": "JYLJ172582917912666666",
        "userName": "张三",
        "userPhone": "18566666126",
        "certCardType": "1",
        "certCard": "420104206612341672",
        "applyType": "1",
        "expectedServiceTime": "2023-11-20 12:00:00",
        "expectedServiceEndTime": "2023-11-30 12:00:00",
        "visitTime": null,
        "createTime": "2023-11-18 18:51:56",
        "orderStatus": "6"
    },
    "msg":"success"
}
```

#### 返回参数说明:
*通俗易懂的参数不再说明*

|字段|类型|说明|
|:----    |-----|:----- |-----   |
|orderNo|string|订单编号|
|userName|string|用户姓名|
|userPhone|string|用户联系方式|
|certCardType|Integer|证件类型 1:身份证 2:护照 3:港澳通行证 4:台湾通行证 5:其他证件 6.军官证 7.户口本 8.港澳台居住证 9.少儿出生证 10.出生医学证明 11 社会信用代码 12.外国人居留证 13.社会保障卡|
|certCard|string|证件号码|
|applyType|Integer|申请类型 1、门诊预约 2、专业陪诊 3.住院安排 4.手术安排 5.二次诊断 6.转诊预约|
|expectedServiceTime|string|期望服务时间(yyyy-MM-dd HH:mm:ss)|
|expectedServiceEndTime|string|期望服务最晚时间(yyyy-MM-dd HH:mm:ss)|
|visitTime|string|就诊时间(yyyy-MM-dd HH:mm:ss)|
|createTime|string|下单时间(yyyy-MM-dd HH:mm:ss)|
|orderStatus|Integer|订单状态 1、待分配 2、申请中 3、待就诊 4、已使用 5、申请失败(已取消) 6.待受理 7.取消中|

#### 备注:

- 更多返回错误代码请看[接口返回码说明](base_error_codes)