#### 服务查询：

开放平台提供了金牌护士根据下单服务单号查询的接口。

##### 请求地址: https://m-api.lejian.com/open-api/V2/common/serverQuery?accessToken=ACCESS_TOKEN
##### 请求协议：HTTPS
##### 请求方式：POST
##### 需要签名：否
##### URL参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|accessToken |是  |string | 当前有效的accessToken |


##### POST参数示例
```json
{
	"orderNo":"JYLJ172582917912666666"
}
```
|参数名|是否必须|类型|说明|
|:----    |-----|:----- |-----   |
|orderNo|是|string|订单编号|


##### 返回示例:

```json
{
    "success":"T",
    "data":{
        "lvServerData":{
			"orderNo": "JYLJ172582917912666666",
			"userName": "张三",
			"userPhone": "18566666126",
			"certCardType": "1",
			"certCard": "420104206612341672",
			"applyType": "1",
			"expectedServiceTime": "2023-11-20 12:00:00",
			"expectedServiceEndTime": "2023-11-30 12:00:00",
			"visitTime": null,
			"createTime": "2023-11-18 18:51:56",
			"orderStatus": "6"
		},
		"goldnurseData":{
			"serverId":"3563457345734",
			"serverNo":"20170602182719769255420",
			"channelOrderId":"5423632",
			"serviceName":"婴儿护理1,婴儿护理2",
			"appointmentTime":"2023-09-10 09:27:19",
			"serverAddress":"广东省,广州市,海珠区,螺旋三路10号",
			"createTime":"2023-08-30 09:27:19",
			"patientName":"客户姓名",
			"patientPhone":"13100000006",
			"patientCardType":1,
			"patientCardNo":"110104199411110114",
			"openId":"open123456",
			"guestSignUrl":"https://static.goldnurse.com:443/images/userSign/JP20231024165756dec74c1315ed48e38a062a7b27cec8d4.png?AccessKeyId=EHVB949CZNFDKWPVZD7T&Expires=1698397220&Signature=o%2BQWhwTLSTJz6g%2FHOF%2FuN2EQ1Nc%3D",
			"nurseSignUrl":"https://static.goldnurse.com:443/images/userSign/JP2023102416575479daf5257c6148c48093927c492467be.png?AccessKeyId=EHVB949CZNFDKWPVZD7T&Expires=1698397220&Signature=vC3iDsymn5pT30hWPtlm2YCmwcA%3D"
    	}
	}
    "msg":"success"
}
```

#### 返回参数说明:
*通俗易懂的参数不再说明*

#####金牌护理 goldnurseData

|字段|类型|说明|
|:----    |-----|:----- |-----   |
|serverId|string|预约ID|
|serverNo|string|预约编号|
|channelOrderId|string|渠道方唯一订单编号|
|nurseId|string|护士ID|
|serviceName|string|预约服务|
|appointmentTime|string|预约时间|
|serverAddress|string|服务地址|
|createTime|string|下单时间|
|patientName|string|客户姓名|
|patientPhone|string|客户联系电话|
|patientCardType|integer|客户证件类型(1:身份证；2:护照；3养老助残卡；4；残疾证 5.其他6:香港特别行政区护照/身份证明; 7:澳门特别行政区护照/身份证明; 8.台湾居民来往大陆通行证 9.港澳台居民居住证 10.外国人永久居留身份证)|
|patientCardNo|string|客户证件号|
|guestSignUrl|string|患者签字链接|
|nurseSignUrl|string|护士签字链接|
|openId|string|用户唯一凭证|

#####绿通 lvServerData
|字段|类型|说明|
|:----    |-----|:----- |-----   |
|orderNo|string|订单编号|
|userName|string|用户姓名|
|userPhone|string|用户联系方式|
|certCardType|Integer|证件类型 1:身份证 2:护照 3:港澳通行证 4:台湾通行证 5:其他证件 6.军官证 7.户口本 8.港澳台居住证 9.少儿出生证 10.出生医学证明 11 社会信用代码 12.外国人居留证 13.社会保障卡|
|certCard|string|证件号码|
|applyType|Integer|申请类型 1、门诊预约 2、专业陪诊 3.住院安排 4.手术安排 5.二次诊断 6.转诊预约|
|expectedServiceTime|string|期望服务时间(yyyy-MM-dd HH:mm:ss)|
|expectedServiceEndTime|string|期望服务最晚时间(yyyy-MM-dd HH:mm:ss)|
|visitTime|string|就诊时间(yyyy-MM-dd HH:mm:ss)|
|createTime|string|下单时间(yyyy-MM-dd HH:mm:ss)|
|orderStatus|Integer|订单状态 1、待分配 2、申请中 3、待就诊 4、已使用 5、申请失败(已取消) 6.待受理 7.取消中|

#### 备注:

- 更多返回错误代码请看[接口返回码说明](base_error_codes)