#### 订单时段查询简单说明：

开放平台提供了根据下单时间段查询批量查询的接口。
每次查询最多返回50条数据。开发者可根据返回数据中的hasNextPage字段判断是否有下一页数据。根据currentPage(当前页码)，并使用pageOffset参数(currentPage+1)指定数据页码。

##### 请求地址: https://m-api.lejian.com/open-api/V2/equity/card/queryOrder?accessToken=ACCESS_TOKEN
##### 请求协议：HTTPS
##### 请求方式：POST
##### 需要签名：否
##### URL参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|accessToken |是  |string | 当前有效的accessToken |
|pageOffset |否|integer|页码|


##### POST参数示例
```json
{
	"beginDate":"2023-08-10",
	"endDate":"2023-08-16",
	"openId":"GzYytza7Wo7TB2BQmZeMxaUfS-po",
	"pageOffset":"1",
	"cardCodes":["123456"]//非必填
}
```
|参数名|是否必须|类型|说明|
|:----    |-----|:----- |-----   |
|beginDate |是|string | 开始查询时间 |
|endDate |是|string | 结束查询时间 |
|openId |否|string | 用户注册后获取的标识 |
|pageOffset |是|integer | 数据分页时的页码，如果返回数据hasNextPage为true，则 pageOffset = currentPage+1|
|cardCodes|否|list|卡号集合|


##### 返回示例:

```json
{
	"success":"T",
	"data":{
		"currentPage":1,
		"hasNextPage":false,
		"orders":
			[
				{
				"cardCode":"123456",
				"itemId":1,
				"serviceType":22,//16互联网医院订单 18绿通订单 19MVP系统订单 21金牌护士订单 22预约订单 23健康管理订单
				"servicesTime":"2023-08-30 09:27:19",
				"orderAppointment":{
					"userName":"使用人姓名",
					"orderNumber":"20170602182719769255420",
					"userMobile":"13100000006",
					"serviceName":"住院协助",
					"bookTime":"2023-09-10",
					"bookTimeInterval":"10:00-12:00",
					"description":"预约描述",
					"status":"1",
					"remark":"备注",
					"createTime":"2023-08-30 09:27:19"
				}
			}
		]
	},
	"msg":"success"
}
```

#### 返回参数说明:
*通俗易懂的参数不再说明*

|字段|类型|说明|
|:----    |-----|:----- |-----   |
|currentPage |integer | 当前页码 |
|hasNextPage |boolean | 本次查询是否还有下一页数据 |
|orders |Array | 订单列表 |
|cardCode|string|卡号|
|itemId|int|itemId|
|serviceType|int|服务类型 16互联网医院订单 18绿通订单 19MVP系统订单 21金牌护士订单 22预约订单 23健康管理订单|
|servicesTime|string|服务创建日期|
|orderNumber|string|订单号|
|orderLvtong|object|绿通订单详情|

##### orderAppointment 预约订单详情
|字段|类型|说明|
|:----    |-----|:----- |-----   |
|userName|string|使用人姓名|
|orderNumber|string|订单号|
|userMobile|string|使用人手机号|
|serviceName|String|预约类型|
|bookDate|String|期望日期|
|bookTimeInterval|String|期望时段|
|description|String|预约描述|
|status|integer|状态 1 待审核 2 审核通过 3 已驳回 4 已取消|
|remark|String|备注|
|createTime|String|创建时间|



#### 备注:

- 更多返回错误代码请看[接口返回码说明](base_error_codes)