#### 订单下单接口
使用开放平台进行单个下单操作，该接口调用成功即预约成功

##### 请求URL:
https://m-api.lejian.com/open-api/V2/order/book?accessToken=ACCESS_TOKEN&nonce=NONCE&sign=SIGN
##### 请求协议：HTTPS
##### 请求方式：POST
##### 需要签名: 是

##### URL参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|accessToken |是  |string | 当前有效的accessToken |
|nonce |是  |string | 当前有效的nonce |
|sign |是  |string | 数据sign值 |
关于nonce和sign请查看 [数据签名](base_sign)。



##### POST参数示例
```json
{
    "examDate":"2017-09-18",
    "examTimeIntervalId":1020,
    "mealId":"12878",
    "mobile":"18668182661",
    "examAccountName":"测试A",
	"idType":1,
    "idCard":"220102199003077434",
	"married":1,
	"gender":0,
	"age":30,
	"nationality":"汉族",
    "orderPrice":17500,
	"department":"部门",
	"companyId":442134
}
```
|参数名|是否必须|类型|说明|
|:----    |-----|:----- |-----   |
|examDate| 是|string|体检日期（格式：yyyy-mm-dd）|
|examTimeIntervalId|是|int|体检时段，取返回值period,参考[套餐可约时间查询](res_time)|
|mealId|是|int|套餐id|
|mobile|是|string|体检人手机号码|
|idCard|是|string|体检人证件号|
|examAccountName|是|string|体检人姓名|
|married|是|int|婚否，0:未婚，1：已婚  注：女性套餐的部分项目只有已婚女性才能做|
|gender|是|int|性别 0：男 1：女 |
|age|是|int|年龄 |
|nationality|否|string|民族 例:汉族，苗族|
|companyId|否|int|单位， 默认为空，特殊逻辑情况下，每天健康这边会提供|
|department|否|string|部门|
|orderPrice|是|int|订单价格|
|itemIds|否|array(Integer)| 加项的体检项目id集合|
|idType|是|int|证件类型 默认身份证 1:身份证 2：护照 3：军官证 4：港澳身份证   **注意：检查机构是否支持2，3，4请查看[体检中心](res_hospital)查询接口的返回值supportMultipleCertificate**|

#### 返回示例:

**正确时返回:**

```
 {
	"success":"T",
	"data":{
			"examDate":"2017-09-18 12:00:00",
   		 "hospitalId":23,
    		"hospitalName":"浙江省中医院下沙院区体检中心",
   		 "items": [
       		 {
            		"name":"血压",
            		"price":0
       		 }
    		],
    		"mealName":"普通入职体检(男)"
    		"orderNum":"20170822194904339001236",
    		"orderPrice":17500,
    		"orderStatus":"unpay"
	},
    "msg":"success"
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----|
|hospitalName|String|体检中心名称|
|hospitalId|int|体检中心id|
|mealName|string|套餐名称|
|orderPrice|int|订单价格|
|orderNum|string|订单号|
|examDate|string|体检日期|
|status|int|订单状态|
|items|JSONObject|订单单项|

订单状态对照表

|状态|说明|
|:----|:----|
|unpay|未付款|
|success|预约成功|
|unexamined|用户预约成功后未去体检中心体检|
|cancel|订单取消|
|examined|用户体检完成，但是有退款产生|
|finish|用户体检完成|


主要异常场景：
1、下单失败,原因:{0}
   注意：此处失败的原因常见为：人数不足、性别不符、婚否不符等
```
 {
	"success":"F",
	"errCode":"201006",
	"msg":"Order book fail,reason:{0}"  //0为具体异常信息
}
```
2、入参必传字段为空
```
 {
	"success":"F",
	"errCode":"201003",
	"msg":"Book fields is null: {0}"  //0为具体异常信息
}
```

3、渠道账户余额不足，需要充值
```
 {
	"success":"F",
	"errCode":"201012",
	"msg":"balance not enough"
}
```
#### 备注:

- 更多返回错误代码请看首页的[接口返回码说明](base_error_codes)