#### 订单支付接口
目前订单支付接口支持以下两种方式：
1、用户将订单金额支付到第三方账号，第三方再与乐荐统一结算；
2、第三方将订单金额支付到乐荐的账户上，并将支付记录（包括但不限于支付宝和微信）同步至乐荐。
以上操作都会将订单状态由未支付状态修改为支付状态。


##### 请求URL:
https://m-api.lejian.com/open-api/V2/order/payOrderByThird?accessToken=ACCESS_TOKEN&nonce=NONCE&sign=SIGN
##### 请求协议：HTTPS
##### 请求方式：POST
##### 需要签名: 是

##### URL参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|accessToken |是  |string | 当前有效的accessToken |
|nonce |是  |string | 当前有效的nonce |
|sign |是  |string | 数据sign值 |
关于nonce和sign请查看 [数据签名](base_sign)。

URL参数方式一和方式二都需要填写。


##### POST参数示例
方式一：
```json
{
    "orderNum":"20190402161201964014680"
}
```
|参数名|是否必须|类型|说明|
|:----    |-----|:----- |-----   |
|orderNum|是 |string | 需要进行支付操作的订单号 |

方式二：
```json
{
    "orderNum":"20190402161201964014680",
	"tradeType":"0",
	"outTradeNo":"2019110515440077706100000001",
	"price":100000
}
```
|参数名|是否必须|类型|说明|
|:----    |-----|:----- |-----   |
|orderNum|是 |string | 需要进行支付操作的订单号 |
|tradeType|是 |string | 交易类型 0：支付宝 1：微信 |
|outTradeNo|是 |string | 商户流水号 |
|price|是 |int | 支付金额，精确到分 |

#### 返回示例:

**正确时返回:**

```
 {
	"success":"T",
    "msg":"success"
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----|
|success |string   | T：操作成功 F：操作失败 |
|msg|String|操作返回消息|



主要异常场景：
1、订单不属于该渠道
```
 {
	"success":"F",
	"errCode":"201027",
	"msg":"The order not belong to the channel" 
}
```

2、渠道账户余额不足，需要充值
```
 {
	"success":"F",
	"errCode":"201012",
	"msg":"balance not enough"
}
```
3、订单等待时间过长，已经被关闭
```
 {
	"success":"F",
	"errCode":"201026",
	"msg":"The order has been closed"
}
```

#### 备注:

- 更多返回错误代码请看首页的[接口返回码说明](base_error_codes)