#### 可用体检中心查询
根据渠道商id获取体检中心信息列表

##### 请求URL: 
https://m-api.lejian.com/open-api/V2/resource/listHospitalsOfChannel?accessToken=ACCESS_TOKEN

##### 请求协议：HTTPS
##### 请求方式：POST
##### 需要签名: 否

##### URL参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|accessToken |是  |string | 当前有效的accessToken |



##### POST参数示例
```json
{
	"pageOffset": 2
}
```
|参数名|是否必须|类型|说明|
|:----    |-----|:----- |-----   |
|pageOffset |否|Integer |页码，第几页，默认为1。|

#### 返回示例:

**正确时返回:**

```
{
	"success":"T",
	"data":{
		"currentPage":1,
    	"hasNextPage":false,
    	"hospitals":  [
          {
            "briefIntro":"解放军杭州疗养院始建于1950年2月15日，是我军级别最高（正师级），规模最大（下属2家医院、3家疗养院区），展开床位最多，仪器设备最先进，技术力量最强（整合驻杭军队医院、疗养院优势）和接待地方疗养体检最多的高级干部保健“航空母舰”！",
            "detailIntro":"解放军杭州疗养院始建于1950年2月15日，是我军级别最高（正师级），规模最大（下属2家医院、3家疗养院区），展开床位最多，仪器设备最先进，技术力量最强（整合驻杭军队医院、疗养院优势）和接待地方疗养体检最多的高级干部保健“航空母舰”！",
            "examNotice":"饮食注意事项 1、体检前三天保持正常饮食。体检前一天晚餐宜清淡饮食，勿饮酒及食用高脂肪、高蛋白、高糖类食品；晚8点后开始禁食禁水，并注意休息。 2、在未进行抽血、腹部彩超、胃幽门螺旋杆菌、胃镜等空腹项目前不得进餐。",
            "groupExamTel":"0571-87098128",
            "hospitalCovers":  [
                "https://mytijian-img.oss-cn-hangzhou.aliyuncs.com/hospital/1/cover/01_big.jpg"
            ],
            "hospitalPictures":  [
                "https://mytijian-img.oss-cn-hangzhou.aliyuncs.com/hospital/1/big/01_big.jpg",
                "https://mytijian-img.oss-cn-hangzhou.aliyuncs.com/hospital/1/big/02_big.jpg",
                "https://mytijian-img.oss-cn-hangzhou.aliyuncs.com/hospital/1/big/13_big.jpg"
            ],
            "id":1,
            "keywords":"全军健康管理专科中心|电子核酸报告",
            "logos":  [
                "https://mytijian-img.oss-cn-hangzhou.aliyuncs.com/hospital/1/healthlogo.png"
            ],
            "name":"解放军杭州疗养院",
            "openAddress": {
                "address":"杨公堤27号(东门);龙井路5号(西门)",
                "city":"杭州市",
                "district":"西湖区",
                "latitude":"30.2497680000",
                "longitude":"120.1305620000",
                "province":"浙江省",
				"cityCode":"330106"
            },
            "phone":"0571-87098128",
			"previousBookDays":"1",
			"previousBookTime":"16:00",
			"workTime":"08:00-12:00",
			"previousExportDays":3,
            "qrCodes":  [
                "https://mytijian-img.oss-cn-hangzhou.aliyuncs.com/hospital/1/qrcode.png"
            ],
            "serviceTel":"0571-87098128",
            "technicalTel":"4000185800",
            "type":"专业体检中心",
            "url":"https://www.mytijian.com/m/hzlyy"
        },
         {
            "briefIntro":"杭州市第二人民医院健康体检中心设在佑生楼（6号楼）7楼、8楼，环境优雅。",
            "detailIntro":"杭州市第二人民医院健康体检中心设在佑生楼（6号楼）7楼、8楼，环境优雅。",
            "examNotice":"尊敬的朋友：      欢迎您来我院体检中心进行医学健康体检，我们将以热情负责、认真仔细的工作态度为您服务。     为了正确科学地完成体检，请您务必配合做好以下事项：                 1、请您空腹来本院体检中心进行体检，为了您的化验结果更加准确，请在上午9点30分以前务必完成抽血。 ",
            "hospitalCovers":  [
                "https://mytijian-img.oss-cn-hangzhou.aliyuncs.com/hospital/4/cover/01_big.jpg"
            ],
            "hospitalPictures":  [
                "https://mytijian-img.oss-cn-hangzhou.aliyuncs.com/hospital/4/big/01_big.jpg",
                "https://mytijian-img.oss-cn-hangzhou.aliyuncs.com/hospital/4/big/02_big.jpg",
                "https://mytijian-img.oss-cn-hangzhou.aliyuncs.com/hospital/4/big/07_big.jpg"
            ],
            "id":4,
            "keywords":"公立三甲医院|公立医院",
            "logos":  [
                "https://mytijian-img.oss-cn-hangzhou.aliyuncs.com/hospital/4/healthlogo.png"
            ],
            "name":"杭州师范大学附属医院",
            "openAddress":  {
                "address":"温州路126号",
                "city":"杭州市",
                "district":"拱墅区",
                "latitude":"30.3271140000",
                "longitude":"120.1477330000",
                "province":"浙江省"
            },
            "phone":"0571-88303532",
            "qrCodes":  [
                "https://mytijian-img.oss-cn-hangzhou.aliyuncs.com/hospital/4/qrcode.png"
            ],
            "secondSiteSwitch":true,
			"supportMultipleCertificate":false,
			"previousExportDays":1,
            "serviceTel":"0571-88303532",
            "technicalTel":"4000185800",
            "type":"公立医院",
			"examVerificationType":1,
            "url":"https://www.mytijian.com/m/shier"
        },
          {
            "briefIntro":"杭州市西溪医院，又名杭州市第六人民医院、浙江中医药大学附属杭州西溪医院。",
            "detailIntro":"杭州市西溪医院，又名杭州市第六人民医院、浙江中医药大学附属杭州西溪医院",
            "examNotice":"体检须知 一、请提前一天预约，可电话或来我院预约体检日期，选择体检项目。 预约时间：周一至周五8:00-11:00，13:30-15:50（节假日除外），预约电话：0571-86481630。 二、体检者注意事项： 1、入职体检者请带上一寸照片和身份证。近视体检者请戴上眼镜。 2、体检前三日请您保持睡眠充足，饮食均衡，勿食油腻食物，勿饮酒，避免剧烈运动，勿服用损害肝、肾功能的药物。心脏病、高血压等慢性病体检者请正常服药，糖尿病体检者请携带药品，餐后及时服药。",
            "hospitalCovers": [
                "https://mytijian-img.oss-cn-hangzhou.aliyuncs.com/hospital/5/cover/01_big.jpg"
            ],
            "hospitalPictures": [
                "https://mytijian-img.oss-cn-hangzhou.aliyuncs.com/hospital/5/big/01_big.jpg",
                "https://mytijian-img.oss-cn-hangzhou.aliyuncs.com/hospital/5/big/02_big.jpg",
                "https://mytijian-img.oss-cn-hangzhou.aliyuncs.com/hospital/5/big/03_big.jpg",
                "https://mytijian-img.oss-cn-hangzhou.aliyuncs.com/hospital/5/big/07_big.jpg"
            ],
            "id":5,
			"hospitalCode":232323,
            "keywords":"公立三甲医院|公立医院",
            "logos":  [
                "https://mytijian-img.oss-cn-hangzhou.aliyuncs.com/hospital/5/healthlogo.png"
            ],
            "name":"杭州市西溪医院",
            "openAddress":  {
                "address":"留下镇横埠街2号",
                "city":"杭州市",
                "district":"西湖区",
                "latitude":"30.242623",
                "longitude":"120.052208",
                "province":"浙江省"
            },
            "phone":"0571-86481630",
            "qrCodes": [
                "https://mytijian-img.oss-cn-hangzhou.aliyuncs.com/hospital/5/qrcode.png"
            ],
            "secondSiteSwitch":true,
			"supportMultipleCertificate":true,
            "serviceTel":"0571-86481630",
            "technicalTel":"4000185800",
			"workTime": "09:00-11:00",
			"examVerificationType":1,
            "type":"公立医院",
            "url":"https://www.mytijian.com/m/xixi"
        }
    ]
	},
   "msg":"success"
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----|
|currentPage |Integer   |当前页码，请参考[基础流程](base)第四节|
|hasNextPage|boolean|是否有下一页，请参考[基础流程](base)第四节|
|hospitals|JsonObject|医院列表，每个元素为一家体检中心信息|
|briefIntro |String|医院简介|
|detailIntro |String|医院详情|
|examNotice |String|体检须知|
|groupExamTel |String|团建电话|
|hospitalCovers |Array[]|医院封面URL|
|hospitalPictures |Array[]|医院图片URL|
|id |Integer|医院编号（多院区会重复）|
|hospitalCode |Long|医院唯一编号|
|keywords |String|关键词|
|logos |Array[]|医院logo|
|name |String|医院名称|
|openAddress |JsonObject|医院地址|
|address  |String|详细地址|
|city  |String|市|
|district  |String|街道|
|latitude  |String|纬度|
|longitude  |String|经度|
|province  |String|省|
|cityCode|String|城市编码|
|phone |String|体检电话|
|previousBookDays|String|提前预约天数|
|previousBookTime|String|提前预约的时间点|
|previousExportDays|Integer|提前导出天数 如:体检日期：2.10，提前导出天数为3，则2.6的23:59:59之后不能进行改期、撤销等操作|
|qrCodes |Array[]|医院公众号二维码URL|
|secondSiteSwitch |Boolean|是否支持电子体检报告|
|serviceTel |String|客服电话|
|workTime|String|体检/工作时间|
|technicalTel |String|技术支持电话|
|type |String|医院类型， 公立医院，专业体检中心，民营连锁|
|url |String|医院URL|
|level|String|医院等级（三甲、三乙之类）|
|examVerificationType  |Integer|体检核销类型 1：身份证  2：核销码 3：（手动核销）滑动页面|
|supportMultipleCertificate|boolean|是否支持多证件下单 true：支持身份证、护照、军官证、港澳身份证， false：只支持身份证|
|guestSettlementdiscount|Double|散客结算折扣 , eg: 0.8|
|companySettlementdiscount|Double|团检结算折扣 , eg: 0.7|