#### 可用套餐列表查询
获取可用得体检套餐列表。接口可使用体检中心ID或者已知套餐id两种维度查询。

##### 请求URL: 
https://m-api.lejian.com/open-api/V2/resource/listMealsOfHospital?accessToken=ACCESS_TOKEN

##### 请求协议：HTTPS
##### 请求方式：POST
##### 需要签名: 否

##### URL参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|accessToken |是  |string | 当前有效的accessToken |


##### POST参数示例
使用体检中心ID查询:
```json
{
	"hospitalId":4,
	"pageOffset":2
}
```

使用已知套餐ID查询:
```json
{
	"mealIds":[1,11,12,31]
}
```

|参数名|是否必须|类型|说明|
|:----    |-----|:----- |-----   |
|hospitalId|否(与mealIds二选一)|Integer|体检中心Id(不能与mealIds同时为空)|
|mealIds|否(与hospitalId二选一)|integer|套餐id列表(不能与hospitalId同时为空)|
|companyId|否|integer|单位id，查询单位套餐的时候使用
|pageOffset |否(hospitalId不为空时生效)|integer|分页页码|
注：
该接口提供hospitalId和mealIds两个维度查询医院套餐。
1、hospitalId维度，此维度需要分页
POST参数示例
```json
{
	"hospitalId":4
	"pageOffset":2
}
```
关于分页请参考[基础流程](base)第四节
2、mealIds维度,此维度不需要分页
POST参数示例
```json
{
	"mealIds":[1,11,12,31]   //mealIds长度不超过50
}
```


#### 返回示例:

**正确时返回:**

```json
{
	"success":"T",
	"data":{
		"currentPage":1,
		"hasNextPage":true,
		"meals":[
		{
			"hospitalId":999,
			"mealId":1766,
			"gender":"2",
			"name":"基础套餐",
			"price":0,
			"type":"3",
			"marriageId":"0",
			"description":"",
			"tags":[
				"糖尿病",
          		"三高",
          		"贵宾服务"],
			"examItems":
			[
				{
					"description":"通过医师对人体视、触、叩、听等物理方法检查，了解心脏、肺部、肝脾、腹部、神经反射等是否正常。可筛查诊断：先天性心脏病、肺气肿、肺炎、肝硬化、肝炎、胆囊炎、脾肿大、肾炎等疾病。",
					"detail":"通过医师对人体视、触、叩、听等物理方法检查，了解心脏、肺部、肝脾、腹部、神经反射等是否正常。可筛查诊断：先天性心脏病、肺气肿、肺炎、肝硬化、肝炎、胆囊炎、脾肿大、肾炎等疾病。",
					"fitPeople":"",
					"itemId":1346,
					"itemType":"体检中心项目",
					"name":"内科检查1",
					"price":0,
					"unfitPeople":"无"
				},
				{
					"description":"一般生化项目",
				 	"detail":"",
				 	"fitPeople":"",
					"itemId":4930,
					"itemType":"体检中心项目",
					"name":"公务员录职生化",
					"price":0,
					"unfitPeople":"无"
				}
			]
		}]
	},
	"msg":"success"
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----|
|currentPage |Integer   |请参考[基础流程](base)第四节 |
|hasNextPage |boolean|请参考[基础流程](base)第四节|
|meals |Array[]|套餐列表, 列表内每一个元素都是一个套餐|
|hospitalId|Integer|套餐所属体检中心编号|
|mealId|Integer|套餐编号|
|gender|Integer|套餐性别编码(0男 1女 2通用)|
|marriageId|Integer|套餐婚否信息（0：通用 1：已婚（有性经历））|
|name|String|套餐名称|
|price|Integer|套餐价格,价格参考[开发必读](summary)第一节《基础词汇定义》|
|type|Integer|套餐类型编码(1:单位套餐，2：收藏套餐，3：通用套餐/官方套餐 4:基础推荐套餐，5：平台套餐)|
|description|String|套餐描述|
|tags|Array[]|套餐标签 如："糖尿病", "三高", "贵宾服务"|
|examItems|Array[]|套餐单项列表, 列表内为套餐中的每一个单项。部分字段名与套餐字段名称重复，使用"item."作为前缀区分|
|item.description|String|单项描述|
|item.itemId|integer|单项编号|
|item.name|String|单项名称|
|item.price|Integer|单项价格（单项价格之和不一定等于套餐价格）|
|detail|String|单项详情|
|fitPeople|String|项目适宜人群|
|unfitPeople|String|项目不适宜人群|
|itemType|String|项目类型|