#### 可用标准套餐/齿科 列表查询
获取可用得标准套餐/齿科服务列表

##### 请求URL: 
https://m-api.lejian.com/open-api/V2/resource/listStandardMeals?accessToken=ACCESS_TOKEN

##### 请求协议：HTTPS
##### 请求方式：POST
##### 需要签名: 否

##### URL参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|accessToken |否  |string | 当前有效的accessToken |


##### POST参数示例
分页获取渠道下套餐



|参数名|是否必须|类型|说明|
|:----    |-----|:----- |-----   |
|pageOffset|是|Integer|分页页码|
|mealIds|否|List|套餐id集合|
|companyId|否|Integer|单位id（乐荐分配）|


POST参数示例
```json
{
	"pageOffset":1,
	"mealIds":[1766,1511]
	"companyId":4308812
}
```
关于分页请参考[基础流程](base)第四节



#### 返回示例:

**正确时返回:**

```json
{
	"success":"T",
	"data":{
		"currentPage":1,
		"hasNextPage":false,
		"meals":[
		{
			"mealId":1766,
			"gender":"2",
			"name":"标准套餐",
			"marriageId":"0",
			"serverType":0,
			"description":"",
			"examItems":
			[
				{
					"description":"通过医师对人体视、触、叩、听等物理方法检查，了解心脏、肺部、肝脾、腹部、神经反射等是否正常。可筛查诊断：先天性心脏病、肺气肿、肺炎、肝硬化、肝炎、胆囊炎、脾肿大、肾炎等疾病。",
					"detail":"通过医师对人体视、触、叩、听等物理方法检查，了解心脏、肺部、肝脾、腹部、神经反射等是否正常。可筛查诊断：先天性心脏病、肺气肿、肺炎、肝硬化、肝炎、胆囊炎、脾肿大、肾炎等疾病。",
					"fitPeople":"",
					"itemId":1346,
					"name":"内科检查1",
					"unfitPeople":"无"
				},
				{
					"description":"一般生化项目",
				 	"detail":"",
				 	"fitPeople":"",
					"itemId":4930,
					"name":"公务员录职生化",
					"unfitPeople":"无"
				}
			],
			"packages":[
				{
					"id":888,
					"name":"标准加项包",
					"gender":1,
					"description":"标准加项包描述",
					"items":[
						{
							"description":"一般生化项目",
							"detail":"",
							"fitPeople":"",
							"itemId":4930,
							"name":"公务员录职生化",
							"unfitPeople":"无"
						}
					]
				}
			]
		}]
	},
	"msg":"success"
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----|
|currentPage |Integer   |请参考[基础流程](base)第四节 |
|hasNextPage |boolean|请参考[基础流程](base)第四节|
|meals |Array[]|套餐列表, 列表内每一个元素都是一个套餐|
|mealId|integer|套餐编号|
|gender|String|套餐性别编码(0男 1女 2通用)|
|marriageId|integer|套餐婚否信息（0：通用 1：已婚（有性经历））|
|name|String|套餐名称|
|serverType|integer|服务类型：0：体检服务，1：齿科服务|
|description|String|套餐描述|
|examItems|Array[]|套餐单项列表, 列表内为套餐中的每一个单项。部分字段名与套餐字段名称重复，使用"item."作为前缀区分|
|item.description|String|单项描述|
|item.id|integer|单项编号|
|item.name|String|单项名称|
|detail|String|单项详情|
|fitPeople|String|项目适宜人群|
|unfitPeople|String|项目不适宜人群|
|packages|Array[]|加项包列表|
|packages.id|integer|加项包编码|
|packages.name|String|加项包名称|
|packages.gender|integer|加项包性别编码(0男 1女 2通用)|
|packages.description|String|加项包描述|
|packages.items|Array[]|同上套餐单项列表|