#### 通过标准套餐/齿科 获取支持的体检机构
通过标准套餐/齿科 获取支持的体检机构

##### 请求URL: 
https://m-api.lejian.com/open-api/V2/resource/listHospitalsByStandardMeal?accessToken=ACCESS_TOKEN

##### 请求协议：HTTPS
##### 请求方式：POST
##### 需要签名: 否

##### URL参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|accessToken |是  |string | 当前有效的accessToken |



##### POST参数示例
```json
{
	"mealId":4011323,
	"pageOffset": 1,
	"companyId":4308812
}
```
|参数名|是否必须|类型|说明|
|:----    |-----|:----- |-----   |
|mealId |是|Integer |套餐/齿科服务 编码|
|pageOffset |是|Integer |页码，第几页，默认为1。|
|companyId|否|Integer|单位id（乐荐分配）|

#### 返回示例:

**正确时返回:**

```
{
	"success":"T",
	"data":{
		"currentPage":1,
    	"hasNextPage":false,
    	"hospitals":  [
          {
            "briefIntro":"这是爱康的一个简介",
            "detailIntro":"这是爱康的一个详情",
            "examNotice":"饮食注意事项 1、体检前三天保持正常饮食。体检前一天晚餐宜清淡饮食，勿饮酒及食用高脂肪、高蛋白、高糖类食品；晚8点后开始禁食禁水，并注意休息。 2、在未进行抽血、腹部彩超、胃幽门螺旋杆菌、胃镜等空腹项目前不得进餐。",
            "groupExamTel":"0571-87098128",
            "hospitalCovers":  [
                "https://mytijian-img.oss-cn-hangzhou.aliyuncs.com/hospital/1/cover/01_big.jpg"
            ],
            "hospitalPictures":  [
                "https://mytijian-img.oss-cn-hangzhou.aliyuncs.com/hospital/1/big/01_big.jpg",
                "https://mytijian-img.oss-cn-hangzhou.aliyuncs.com/hospital/1/big/02_big.jpg",
                "https://mytijian-img.oss-cn-hangzhou.aliyuncs.com/hospital/1/big/13_big.jpg"
            ],
            "id":1,
            "keywords":"电子核酸报告",
            "logos":  [
                "https://mytijian-img.oss-cn-hangzhou.aliyuncs.com/hospital/1/healthlogo.png"
            ],
            "name":"爱康国宾温州国贸分院VIP部",
			"brand":1,
			"subBrand":"爱康国宾VIP"
            "openAddress": {
                "address":"温州市鹿城区黎明西路 1 号国贸大酒店 3F、5F",
                "city":"温州市",
                "district":"鹿城区",
                "latitude":"30.2497680000",
                "longitude":"120.1305620000",
                "province":"浙江省",
				"cityCode":"330106"
            },
            "phone":"0571-87098128",
			"previousBookDays":"1",
			"previousBookTime":"16:00",
			"workTime":"08:00-12:00",
			"previousExportDays":3,
            "qrCodes":  [
                "https://mytijian-img.oss-cn-hangzhou.aliyuncs.com/hospital/1/qrcode.png"
            ],
            "serviceTel":"0571-87098128",
            "technicalTel":"4000185800",
            "type":"专业体检中心",
            "url":"https://www.mytijian.com/m/hzlyy"
        }
    ]
	},
   "msg":"success"
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----|
|currentPage |Integer   |当前页码，请参考[基础流程](base)第四节|
|hasNextPage|boolean|是否有下一页，请参考[基础流程](base)第四节|
|hospitals|JsonObject|医院列表，每个元素为一家体检中心信息|
|briefIntro |String|医院简介|
|detailIntro |String|医院详情|
|examNotice |String|体检须知|
|groupExamTel |String|团建电话|
|hospitalCovers |Array[]|医院封面URL|
|hospitalPictures |Array[]|医院图片URL|
|id |Integer|医院编号|
|keywords |String|关键词|
|logos |Array[]|医院logo|
|name |String|机构名称|
|brand|integer|机构品牌（民营品牌 1:爱康 2：美年 3：慈铭 4：瑞慈）|
|subBrand|String|民营子品牌 名称|
|openAddress |JsonObject|机构地址|
|address  |String|详细地址|
|city  |String|市|
|district  |String|街道|
|latitude  |String|纬度|
|longitude  |String|经度|
|province  |String|省|
|cityCode|String|城市编码|
|phone |String|体检电话|
|previousBookDays|String|提前预约天数|
|previousBookTime|String|提前预约的时间点|
|previousExportDays|Integer|提前导出天数 如:体检日期：2.10，提前导出天数为3，则2.6的23:59:59之后不能进行改期、撤销等操作|
|qrCodes |Array[]|医院公众号二维码URL|
|secondSiteSwitch |Boolean|是否支持电子体检报告|
|serviceTel |String|客服电话|
|workTime|String|体检/工作时间|
|technicalTel |String|技术支持电话|
|type |String|医院类型， 公立医院，专业体检中心，民营连锁|
|url |String|医院URL|
|level|String|医院等级（三甲、三乙之类）|
|examVerificationType  |Integer|体检核销类型 1：身份证  2：核销码 3：（手动核销）滑动页面|
|supportMultipleCertificate|boolean|是否支持多证件下单 true：支持身份证、护照、军官证、港澳身份证， false：只支持身份证|