#### 先套餐后机构模式 可约时间查询
体检中心可约日查询。支持单位查询。

##### 请求URL: 
https://m-api.lejian.com/open-api/V2/counter/queryOrderableCapacityByStandard?accessToken=ACCESS_TOKEN

##### 请求协议：HTTPS
##### 请求方式：POST
##### 需要签名: 否

##### URL参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|accessToken |是  |string | 当前有效的accessToken |



##### POST参数示例
```json
{
	"hospitalId":1,
	"startDate":"2017-09-04",
	"endDate":"2017-09-05",
	"mealId":447496,
	"pkgIds":[1,55],
	"gender":1,
	"companyId":4308812
}
```
|参数名|是否必须|类型|说明|
|:----    |-----|:----- |-----   |
|hospitalId |是|Integer | 医院编号|
|startDate |是|Date | 起始日期 |
|endDate |是|Date | 终止日期 |
|mealId|是|Integer|套餐编码|
|pkgIds|否|Array|加项包集合(**有加项包的情况下尽量传**)|
|gender|否|Integer|体检人性别，0：男 1：女（**为了保证数据准确性，尽量传此参数**）|
|companyId|否|Integer|单位， 默认为空，特殊逻辑情况下，乐荐这边会提供|

#### 返回示例:

**正确时返回:**

```
 {
	"success":"T",
	"data":{
		"dayCapacitys":  [{
            "dateStr":"2017-08-30",
            "periodCapacitys":  [{
					"periodName":"上午6:00-7:00"
                    "availableNum":0,
                    "period":4,
					"numFull": false,
                    "dayRest": true,
                    "usable":false,
					"maxNum": 200
                  },{
					"periodName":"上午7:00-9:00"
                    "availableNum":198,
                    "period":5,
					"numFull": false,
                    "dayRest": false,
                    "usable":true,
					"maxNum": 200
             }]
        }, {
            "dateStr":"2017-08-31",
            "periodCapacitys":  [{
					"periodName":"上午6:00-7:00"
                    "availableNum":198,
                    "period":4,
                    "numFull": false,
                    "dayRest": false,
                    "usable":true,
					"maxNum": 200
             }]
        }]
	},
	"msg":"success"
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----|
|dayCapacitys |Array[]   | 天数容量列表,列表类为每天的人数容量|
|dateStr |String   | 日期（格式：yyyy-mm-dd）|
|periodCapacitys|Array[]|时段容量列表，当天时段列表|
|availableNum|Integer|可约订单数|
|period|Integer|时段编号，用于下单|
|numFull|boolean|是否已约满|
|dayRest|boolean|是否是休息时间|
|usable|boolean|是否可约|
|maxNum|Integer|最大库存人数|
#### 备注:

- 是否可约首先判断字段usable的值。
- 更多返回错误代码请看首页的[接口返回码说明](base_error_codes)