#### 预约报告解读日期
使用开放平台进行单个下单操作，该接口调用成功即预约成功。
注意：如果报告比较大，可以先不传报告预约下单，再调用报告上传接口上传报告。

##### 请求URL:
https://m-api.lejian.com/open-api/V2/order/report/book?accessToken=ACCESS_TOKEN&nonce=NONCE&sign=SIGN
##### 请求协议：HTTPS
##### 请求方式：POST
##### 需要签名: 是

##### URL参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|accessToken |是  |string | 当前有效的accessToken |
|nonce |是  |string | 当前有效的nonce |
|sign |是  |string | 数据sign值 |
关于nonce和sign请查看 [数据签名](base_sign)。



##### POST参数示例
```json
{
	"orderNum":"20170822194904339001236",
	"applyDate":"2023-02-13",
    "periodId":4384,
    "businessId":1,
    "applyMobile":"18668182661",
    "applyName":"张三",
	"idType":1,
    "idCard":"220102199003077434",
	"married":1,
	"gender":0,
	"age":30,
	"reportQuestion":"高血压",
	"reportFile":""
}
```
|参数名|是否必须|类型|说明|
|:----    |-----|:----- |-----   |
|orderNum|否|string|乐荐体检订单号（当传入乐荐体检订单号时会匹配体检订单获取对应的体检报告）|
|applyDate|是|string|预约解读日期（格式：yyyy-mm-dd）|
|periodId|是|int|报告解读时段id，取[排期查询](http://doc.mytijian.cn/docs/openapi/report_time "排期查询") 返回的id|
|businessId|是|int|业务id，乐荐提供|
|applyMobile|是|string|预约人手机号码|
|applyName|是|string|预约人姓名|
|idType|否|int|证件类型 默认身份证 1:身份证 2：护照 3：军官证 4：港澳身份证 0：其他 |
|idCard|否|string|预约人证件号|
|married|否|int|婚否，0:未婚，1：已婚  注：女性套餐的部分项目只有已婚女性才能做|
|gender|否|int|性别 0：男 1：女 |
|age|否|int|年龄 |
|reportQuestion|是|string|报告咨询问题|
|reportFile|否|string|报告文件base64字符串（上传报告为报告解读，不上传报告为咨询服务）|


#### 返回示例:

**正确时返回:**

```
 {
	"success":"T",
	"data":{
    		"unscrambleOrderNum":123456
	},
    "msg":"success"
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----|
|unscrambleOrderNum|integer|预约订单id|




#### 备注:

- 更多返回错误代码请看首页的[接口返回码说明](base_error_codes)