#### 使用订单号批量查询报告解读订单

##### 请求地址: https://m-api.lejian.com/open-api/V2/order/report/queryByOrderNums?accessToken=ACCESS_TOKEN
##### 请求协议：HTTPS
##### 请求方式：POST
##### 需要签名：否
##### URL参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|accessToken |是  |string | 当前有效的accessToken |


##### POST参数示例
```json
{
	"unscrambleOrderNums":
		[
			12345,
			12346,
			12347
		]
}
```
|参数名|是否必须|类型|说明|
|:---- |-----|:----- |-----|
|unscrambleOrderNums |是|array | 需要查询的订单号，最大不能超过20个 |

##### 返回示例:

```json
{
	"success":"T",
	"data":{
		"orders":[
			{
				"unscrambleOrderNum":12345
				"applyMobile":"18668182661",
				"applyName":"张三",
				"applyTime":"2023-02-28 10:00-12:00",
				"businessId":1,
				"status":2
			}
		]
	},
	"msg":"success"
	
}
```

#### 返回参数说明:
*通俗易懂的参数不再说明*

|字段|类型|说明|
|:----    |-----|:----- |-----   |
|unscrambleOrderNum|int|预约订单号|
|businessId|int|业务id，乐荐提供|
|applyMobile|string|预约人手机号码|
|applyName|string|预约人姓名|
|idCard|string|预约人证件号|
|applyTime|string|预约报告解读日期|
|status|integer|预约状态|


#### 备注:

- 更多返回错误代码请看[接口返回码说明](base_error_codes)