#### open-api获取用户答卷及结果分析(*待上线*)

##### 用户答卷查询

获取用户在当前医院或渠道下所有的答卷结果，接口可以使用**用户openId**，**答题时间段**两种维度来进行查询

##### 请求URL:
[https://m-api.lejian.com/open-api/V2/resource/listAccountSurvey?accesstoken=ACCESS_TOKEN](https://api.mytijian.com/open-api/V2/resource/listAccountSurvey?accesstoken=ACCESS_TOKEN)

##### 请求协议：HTTPS

##### 请求方式：POST

##### 需要签名：否

##### URL参数：
| 参数名 | 是否必须 | 类型 | 说明 |
|:----    |:---|:----- |-----   |
|accessToken |是  |string | 当前有效的accessToken |

##### POST参数示例
分为两个维度来查询答卷结果

使用用户openID查询(需要分页)：

	{
	 "openId": "qz2itzakGckPu3KQ0NpbQkwtYOmS",
	 "pageOffset":1
	}
	

使用答题时间段查询(需要分页)：
	
	{
	 "startDate":"2017-09-04",
	 "endDate":"2017-09-05"
	 "pageOffset":1
	}
	
| 参数名 | 是否必须 | 类型 | 说明 |
|:----    |:---|:----- |-----   |
| openId | 否(二选一)  |String | 当前注册用户在开放平台的唯一标识符 | 
| startDate |否(二选一与endDate一起使用)| String | 体检日期（格式：yyyy-mm-dd） |
| endDate |否(二选一与startDate一起使用) | String | 体检日期（格式：yyyy-mm-dd） |
| pageOffset |是 | Integer | 分页页码 |

关于分页请参考[基础流程](../../base.md)第四节

##### 返回示例
正确示例：

	{
	"success": "T",
	"msg": "success",
	"data": {
		"currentPage": 1,
		"hasNextPage": false,
		"surveys": [{
			"accountSnapshotVO": {
				"title": "健康体检问卷调查表",
				"openId": "qz2itzakGckPu3KQ0NpbQkwtYOmS",
				"name": "大壮",
				"idCard": "110101199003075517",
				"mobile": "13344442112",
				"gender": 0,
				"height": 167,
				"weight": 65,
				"marriageStatus": 0,
				"age": 28
			},
			"accountSurveyAnswerSnapshots": [{
				"content": "民族",
				"type": 1,
				"userAnswers": [{
					"content": "回族",
					"tips": "",
					"advice": "请避免射线类型的检查项目，并提前告知医生"
				}]
			}, {
				"content": "文化程度",
				"type": 1,
				"userAnswers": [{
					"content": "大专",
					"tips": "",
					"advice": ""
				}]
			}],
			"evaluateReport": {
				"evaluateTime": "2017-09-05",
				"advices": ["请避免射线类型的检查项目，并提前告知医生"],
				"accountRiskItems": [{
					"riskName": "呼吸系统",
					"coefficient": 0.965
				}, {
					"riskName": "内分泌系统",
					"coefficient": 0.958
				}],
				"status": 0,
				"bmi": 23.3
			}
		}]
	  }
	}	
	
错误示例:
	
	{
	 "success":"F",
     "errCode":"203105",
     "msg":"Invaild OpenId"
	}

##### 返回参数说明：
1. success为返回结果（T表示成功，F表示失败）
2. errCode为错误代码，只有失败的时候才有
4. msg为返回信息
5. data为返回数据

| 参数名 | 类型 | 说明 |
|:-------|:------|:------|
| currentPage | Integer | 请参考[基础流程](../../base.md)第四节 |
| hasNextPage|boolean|请参考[基础流程](../../base.md)第四节|
| surveys|Array[]|答卷列表,列表内每一个元素都是一份答卷|
| accountSnapshotVO| String | 用户基本信息 |
| title | String | 问卷名称 |
| name | String |用户姓名|
| idCard| String | 身份证|
| mobile| String |电话|
| gender|int|性别(男:0，女:1)
| height | Integer |身高|
| weight| Integer |体重|
| marriageStatus| Integer |婚否(0:未婚，1:已婚)|
| accountSurveyId| Integer |答卷id|
| accountSurveyAnswerSnapshots|Arrays[]|用户问卷答案|
| content| String | 问题内容 |
| type | Integer | 问题类型 (0:文本，1：单选，2：多选)|
| userAnswers|String | 用户选择答案 |
| content | String | 答案内容|
| tips |String | 注意事项 |
| advice|String | 建议|
| evaluateReport |String |评估结果|
| evaluateTime| String | 评估时间|
| accountRiskItems|Arrays[]|具体风险项|
| riskName|String | 风险名称|
| coefficient|double |风险系数|
| status | Integer | 评估状态 |
| bmi | double | BMI指数|

##### 备注:
更多返回错误代码请看首页的[接口返回码说明](../../summary/base_error_codes.md)