# 文档

### 功能描述
第三方应用开发方，**提供数据接收接口**，开放平台实时推送该应用所属订单/医院/套餐 变更信息（对接此接口之前应先同步体检中心和套餐数据，即调用：[可用套餐查询](http://doc.mytijian.cn/docs/openapi/res_meal "套餐查询")、[可用体检中心查询](https://test-api.mytijian.com/docs/openapi/res_hospital "可用体检中心查询")）。
### 推送内容

1. 订单消息推送
```java
    {
     "msgType":1,
     "uniqueCode":"20180323181316326000886",
     "status":3
    }
```

2. 套餐信息消息
```java
    {
    "msgType":2,
    "uniqueCode":"1",
    "status":1,
	"content":{}
    }
```
3. 体检中心消息
```java
    {
     "msgType":3,
     "uniqueCode":"666",
     "status":0,
	 "content":{}
    }
```
4. 报告消息
```java
    {
     "msgType":4,
     "uniqueCode":"xxxxxxxxxxxxxx", ##订单号
     "status":1
    }
```

6. 绿通消息
```java
    {
     "msgType":6,
     "uniqueCode":"201200000000001",
     "status":1
    }
```
######字段含义：

| 字段  | 含义  |
| ------------ | ------------ |
| msgType  | 消息类型  |
| uniqueCode  | 套餐/体检中心 唯一编码  |
| status  | 状态  |
| content  | （新增/更新/恢复上架的时候会返回）信息实体，具体内容请查阅 [可用套餐查询](http://doc.mytijian.cn/docs/openapi/res_meal "套餐查询")、[可用体检中心查询](https://test-api.mytijian.com/docs/openapi/res_hospital "可用体检中心查询")的返回值 |

###### msgType含义：

| 属性值  | 含义  |
| ------------ | ------------ |
|1|订单|
| 2  | 套餐  |
| 3  | 体检中心  |
| 6  | 绿通  |

###### 套餐和体检中心status含义：

| 属性值  | 含义  |
| ------------ | ------------ |
| 1  | 新增  |
| 2  | 更新  |
| 3  | 下架  |
| 4  | 恢复上架  |

######订单消息推送状态含义：

| 属性值  | 含义  |
| ------------ | ------------ |
| 0  | 待支付  |
| 2  | 预约成功  |
| 20  | **预约失败**  |
| 3  | 体检完成  |
| 4  | 改期成功  |
| 40  | **改期失败**  |
| 5  | 撤销成功  |
| 50  |** 撤销失败**  |
| 6  | 删除  |
| 8  | 关闭  |
|99| 订单回单|

## 文档

### 功能描述
第三方应用开发方，**提供数据接收接口**，开放平台实时推送该应用所属订单/医院/套餐 变更信息（对接此接口之前应先同步体检中心和套餐数据，即调用：[可用套餐查询](http://doc.mytijian.cn/docs/openapi/res_meal "套餐查询")、[可用体检中心查询](https://test-api.mytijian.com/docs/openapi/res_hospital "可用体检中心查询")）。
### 推送内容

1. 订单消息推送
```java
    {
     "msgType":1,
     "uniqueCode":"20180323181316326000886",
     "status":3
    }
```

2. 套餐信息消息
```java
    {
    "msgType":2,
    "uniqueCode":"1",
    "status":1,
	"content":{}
    }
```
3. 体检中心消息
```java
    {
     "msgType":3,
     "uniqueCode":"666",
     "status":0,
	 "content":{}
    }
```

6. 绿通消息
```java
    {
     "msgType":6,
     "uniqueCode":"201200000000001",
     "status":1
    }
```
######字段含义：

| 字段  | 含义  |
| ------------ | ------------ |
| msgType  | 消息类型  |
| uniqueCode  | 套餐/体检中心 唯一编码  |
| status  | 状态  |
| content  | （新增/更新/恢复上架的时候会返回）信息实体，具体内容请查阅 [可用套餐查询](http://doc.mytijian.cn/docs/openapi/res_meal "套餐查询")、[可用体检中心查询](https://test-api.mytijian.com/docs/openapi/res_hospital "可用体检中心查询")的返回值 |

###### msgType含义：

| 属性值  | 含义  |
| ------------ | ------------ |
|1|订单|
| 2  | 套餐  |
| 3  | 体检中心  |
| 6  | 绿通  |

###### 套餐和体检中心status含义：

| 属性值  | 含义  |
| ------------ | ------------ |
| 1  | 新增  |
| 2  | 更新  |
| 3  | 下架  |
| 4  | 恢复上架  |

######订单消息推送状态含义：

| 属性值  | 含义  |
| ------------ | ------------ |
| 0  | 待支付  |
| 2  | 预约成功  |
| 20  | **预约失败**  |
| 3  | 体检完成  |
| 4  | 改期成功  |
| 40  | **改期失败**  |
| 5  | 撤销成功  |
| 50  |** 撤销失败**  |
| 6  | 删除  |
| 8  | 关闭  |
|99| 订单回单|
###### 订单回单消息 
```
{
     "msgType":1,
     "uniqueCode":"20180323181316326000886",
     "status":99,
	"content":"{\"checkItems\":[{\"checkState\":1,\"id\":1223,\"localAdd\":false,\"name\":\"眼科\"}]}"
    }
```
content 字段说明

|状态|说明|
|:----|:----|
|checkState  | 检查状态：1 已检，2，拒检，3 未检，4，延检  |
| localAdd  | 是否现场加项：true现场加项  |
| name  | 项目名称   |


*
**注意：黑体加粗状态只会出现在爱康、美年、瑞慈、慈铭民营医院***


###### 绿通status含义：
|状态|说明|
|:----|:----|
| 1  | 待受理  |
| 2  | 协调中  |
| 3  | 待就诊  |
| 4  | 已完结  |
| 5  | 取消中  |
| 6  | 已取消  |

### 应用开发方数据接收接口
1. 接收接口地址请联系管理员配置。
2. 推送请求为POST,content-type是application/json

### 接口推送频率
  套餐和体检中心数据每小时处理一次，订单信息实时处理
  变更消息每1-2分钟会进行推送
    }
```


*
**注意：黑体加粗状态只会出现在爱康、美年、瑞慈、慈铭民营医院***


###### 绿通status含义：
|状态|说明|
|:----|:----|
| 1  | 待受理  |
| 2  | 协调中  |
| 3  | 待就诊  |
| 4  | 已完结  |
| 5  | 取消中  |
| 6  | 已取消  |

### 应用开发方数据接收接口
1. 接收接口地址请联系管理员配置。
2. 推送请求为POST,content-type是application/json

### 接口推送频率
  套餐和体检中心数据每小时处理一次，订单信息实时处理
  变更消息每1-2分钟会进行推送