#每天健康开放平台《开发说明》

### 一、每天健康开放平台简介

每天健康开放平台是我的体检网对外提供的一组接口，开放了平台的订单、体检中心、体检报告等资源和功能。为开发者与体检中心对接，并得到体检中心体检资源提供便捷的途径。



#### 对接方式
##### 第一种是界面嵌入
即将每天健康H5页面到合作方的产品中（如APP，站点），通过用户打通，让用户到可以从合作方无缝跳转到每天健康提供的H5页面进行体检预约
**特点：**对接快速，并且可支持用户自定加项，用户能够完整使用每天健康提供的体检服务

##### 第二种是接口对接下单
即使用平台使用每天健康提供提接口，在自己平台上完成体检预约流程，用户不跳转到每天健康的页面上



#### 对接之前
在使用每天健康开放平台对接前，您需要在线下与每天健康渠道运营合作经理联系，协商合作事宜，联系方式如下：
> Email: liangxing@lejian.com

在与渠道运营经理联系并与每天健康公司达成相关合作后，您将获得渠道商账号及使用开发平台接口的 appKey 及 appSecret （暂时没有开放申请）

> 接口权限根据商务合作来配置，具体与运营合作经理协商



#### 接口地址
正式环境使用: https://m-api.lejian.com/open-api/

测试环境使用: https://test-api.lejian.com/open-api/

### 二、基础词汇定义

|词汇|描述|
|--|--|
|app|app指的一个可在开放平台进行业务操作的最基本实体|
|appKey|平台分配给商户的appKey用于标识某个具体的app|
|appSecret|app秘钥，请妥善保管，secret是app调用接口非常重要的凭据|
|signKey|参数签名key，双方各自保存，**不在任何接口调用中传输。**|
|aesKey|AES加密使用的密码，双方各自保存，**不在任何接口调用中传输。**|
|accessToken|一般接口的唯一调用凭据。2小时内可重复使用。|
|nonce|一次性校验码。接口调用参数签名时使用，只能使用一次。|
|algorithm|加密算法，接口返回数据时使用的加密算法。|
|openId|指用户id。开放平台与应用之间只用openId表示某个具体用户。一个openId仅对一个app有效。|
|金额/price|凡涉及到价格、金额的字段。单位均为（分）。即100 表示1元。|

### 三、相关文档说明目录

#####《开发说明》系列文档提供了开放平台介绍、基础数据描述和开发者规范等内容。
- [接口返回码说明](base_error_codes) 对开放平台返回的错误码进行了统一说明
- [接口列表以及频次限制](base_api_and_limit) 对开放平台接口、以及接口调用限制进行了统一描述

#####[《基础流程》](base)系列文档，阐述了开放平台的基础交互流程，其中包括:
- [AccessToken获取](base_access_token) 介绍accesstoken的获取和使用
- [接口参数签名](base_sign) 介绍了接口参数签名、验证等流程
- [数据加密](base_encrypt) 介绍了开放平台对数据加密、解密的过程

#####[《用户》](open_user)系列文档，阐述了开放平台的用户相关操作，其中包括:
- [用户注册](user_register) 介绍如何使用接口注册体检人
- [用户登录](user_login) 介绍如何使登录到《我的体检网》

#####[《订单》](open_order)系列文档，阐述了开放平台的订单相关操作，其中包括:
- [公立机构订单下单接口](gongli_book_1) 介绍了如何使用公立机构接口为用户预约体检
- [民营机构订单下单接口](openapi-1d15l16knps6q) 介绍了如何使用民营机构接口为用户预约体检
- [订单撤单接口](order_revoke) 介绍了如何使用接口取消预约的订单(部分状态订单不可撤销)
- [订单查询接口](order_query) 介绍了如何使用接口对订单进行不同维度的查询

#####[《资源》](res)系列文档，阐述了从开发平台获取体检中心、套餐、时段等信息，其中包括:
- [可用体检中心查询](res_hospital)  介绍了如何使用接口查询可以预约的体检中心
- [可用套餐查询](res_meal)  介绍了如何使用接口查询体检中心套餐信息
- [体检中心可用时间查询](res_time) 介绍了如何使用接口查询体检中心可以预约的时间