#### 接口调用限制说明
为了合理利用服务器资源，我们对一些查询接口做了调用次数限制。建议开发者合理安排接口调用。
当开放平台监测到接口被异常频繁调用的时候，可能会进行熔断处理。app在一段时间内可能无法再调用某个服务。

每一个应用具体拥有的接口权限，以商务洽谈为准。

#### 接口地址
正式环境使用: https://m-api.lejian.com/open-api/V2/

测试环境使用: https://test-api.lejian.com/open-api/V2/

#### 接口列表

| 接口  | 调用地址  |  需要签名 | 调用限制  |
| ------------ | ------------ | ------------ | ------------ |
|测试接口 | /noop  | 是  | 不限制 |
|测试接口 | /noop-nosign  |  否 | 不限制 |
|[获取AccessToken](base_access_token "获取AccessToken") | /accesstoken | 否 | 500次/每天|
|[一次性校验码和数据签名](base_sign)|/nonce|否|不限制|
|[用户注册](user_register "用户注册")|/sso/user/registerUser|是|不限制|
|[用户登录](user_login)|涉及多个接口|否|不限制|
|[订单查询](order_query)|/order/queryOrder|否|2000次/每天|
|[订单下单接口](order_book)|/order/book|是|不限制|
|[订单撤单接口](order_revoke)|/order/revokeOrder|是|不限制|
|[体检中心列表](res_hospital)|/resource/listHospitalsOfChannel|否|500次/每天|
|[体检套餐查询](report)|/resource/listMealsOfHospital|否|500次/每天|
|[体检中心可约时间查询](res_time)|/counter/queryOrderableCapacity|否|不限制|